Index: Makefile
===================================================================
--- Makefile	(revision 4458e3d2d88184e1c5b566f8bac38b6015abd81e)
+++ Makefile	(revision 3781c69cbc45591ea4ac06868a65a0ee84151edd)
@@ -144,5 +144,5 @@
 	@echo "Validation complete."
 
-profile-html: 
+profile-html:
 	@echo "Generating profiled XML for XHTML..."
 	$(Q)xsltproc --nonet                              \
Index: lfs-latest-git.php
===================================================================
--- lfs-latest-git.php	(revision 4458e3d2d88184e1c5b566f8bac38b6015abd81e)
+++ lfs-latest-git.php	(revision 3781c69cbc45591ea4ac06868a65a0ee84151edd)
@@ -31,11 +31,11 @@
   foreach ( $lines as $line )
   {
-     if ( ! preg_match( $regex_match, $line ) ) continue; 
+     if ( ! preg_match( $regex_match, $line ) ) continue;
 
      // Isolate the version and put in an array
      $slice = preg_replace( $regex_replace, "$1", $line );
-     if ( $slice == $line ) continue; 
-
-     array_push( $a, $slice );     
+     if ( $slice == $line ) continue;
+
+     array_push( $a, $slice );
   }
 
@@ -99,5 +99,5 @@
   $max           = find_max( $lines, $regex_match, $regex_replace );
 
-  return "$dirpath/$max"; 
+  return "$dirpath/$max";
 }
 
@@ -113,6 +113,6 @@
 if ( $package == "e2fsprogs"  ) $dirpath = "https://sourceforge.net/projects/e2fsprogs/files/e2fsprogs/";
 if ( $package == "expat"      ) $dirpath = "http://sourceforge.net/projects/expat/files";
-if ( $package == "elfutils"   ) $dirpath = "https://sourceware.org/ftp/elfutils";  
-if ( $package == "expect"     ) $dirpath = "http://sourceforge.net/projects/expect/files";  
+if ( $package == "elfutils"   ) $dirpath = "https://sourceware.org/ftp/elfutils";
+if ( $package == "expect"     ) $dirpath = "http://sourceforge.net/projects/expect/files";
 if ( $package == "file"       ) $dirpath = "https://github.com/file/file/releases";
 if ( $package == "flex"       ) $dirpath = "https://github.com/westes/flex/releases";
@@ -139,6 +139,6 @@
 
   // Check for ftp
-  if ( preg_match( "/^ftp/", $dirpath ) ) 
-  { 
+  if ( preg_match( "/^ftp/", $dirpath ) )
+  {
     $dirpath  = substr( $dirpath, 6 );           // Remove ftp://
     $dirpath  = rtrim ( $dirpath, "/" );         // Trim any trailing slash
@@ -148,5 +148,5 @@
 
     $conn = ftp_connect( $server );
-    ftp_login( $conn, "anonymous", "" ); 
+    ftp_login( $conn, "anonymous", "" );
 
     // See if we need special handling
@@ -167,5 +167,5 @@
 
               // Get dir listing
-              $lines = ftp_rawlist ($conn, $path);              
+              $lines = ftp_rawlist ($conn, $path);
               $max   = find_max( $lines, $regexp, $regexp );
               break;
@@ -234,5 +234,5 @@
   }
 
-  if ( $package == "attr" ||  
+  if ( $package == "attr" ||
        $package == "acl"  )
   {
@@ -362,6 +362,6 @@
       }
 
-      else if ( preg_match( "/systemd-man-pages/", $file ) ) continue; 
-      else if ( preg_match( "/python/"         , $file ) ) continue; 
+      else if ( preg_match( "/systemd-man-pages/", $file ) ) continue;
+      else if ( preg_match( "/python/"         , $file ) ) continue;
 
       $version = preg_replace( $pattern, "$1", $file );   // Isolate version
Index: lfs-latest.php
===================================================================
--- lfs-latest.php	(revision 4458e3d2d88184e1c5b566f8bac38b6015abd81e)
+++ lfs-latest.php	(revision 3781c69cbc45591ea4ac06868a65a0ee84151edd)
@@ -31,11 +31,11 @@
   foreach ( $lines as $line )
   {
-     if ( ! preg_match( $regex_match, $line ) ) continue; 
+     if ( ! preg_match( $regex_match, $line ) ) continue;
 
      // Isolate the version and put in an array
      $slice = preg_replace( $regex_replace, "$1", $line );
-     if ( $slice == $line ) continue; 
-
-     array_push( $a, $slice );     
+     if ( $slice == $line ) continue;
+
+     array_push( $a, $slice );
   }
 
@@ -99,5 +99,5 @@
   $max           = find_max( $lines, $regex_match, $regex_replace );
 
-  return "$dirpath/$max"; 
+  return "$dirpath/$max";
 }
 
@@ -113,6 +113,6 @@
 if ( $package == "e2fsprogs"  ) $dirpath = "http://sourceforge.net/projects/e2fsprogs/files/e2fsprogs";
 if ( $package == "expat"      ) $dirpath = "http://sourceforge.net/projects/expat/files";
-if ( $package == "elfutils"   ) $dirpath = "https://sourceware.org/ftp/elfutils";  
-if ( $package == "expect"     ) $dirpath = "http://sourceforge.net/projects/expect/files";  
+if ( $package == "elfutils"   ) $dirpath = "https://sourceware.org/ftp/elfutils";
+if ( $package == "expect"     ) $dirpath = "http://sourceforge.net/projects/expect/files";
 if ( $package == "file"       ) $dirpath = "https://github.com/file/file/releases";
 if ( $package == "flex"       ) $dirpath = "https://github.com/westes/flex/releases";
@@ -136,6 +136,6 @@
 
   // Check for ftp
-  if ( preg_match( "/^ftp/", $dirpath ) ) 
-  { 
+  if ( preg_match( "/^ftp/", $dirpath ) )
+  {
     $dirpath  = substr( $dirpath, 6 );           // Remove ftp://
     $dirpath  = rtrim ( $dirpath, "/" );         // Trim any trailing slash
@@ -145,5 +145,5 @@
 
     $conn = ftp_connect( $server );
-    ftp_login( $conn, "anonymous", "" ); 
+    ftp_login( $conn, "anonymous", "" );
 
     // See if we need special handling
@@ -164,5 +164,5 @@
 
               // Get dir listing
-              $lines = ftp_rawlist ($conn, $path);              
+              $lines = ftp_rawlist ($conn, $path);
               $max   = find_max( $lines, $regexp, $regexp );
               break;
@@ -197,5 +197,5 @@
      }
 
-     //if ( $package == "bzip2" ) 
+     //if ( $package == "bzip2" )
      //{
      //   // Remove one directory
@@ -239,5 +239,5 @@
   }
 
-  if ( $package == "attr" ||  
+  if ( $package == "attr" ||
        $package == "acl"  )
   {
@@ -357,6 +357,6 @@
       }
 
-      else if ( preg_match( "/systemd-man-pages/", $file ) ) continue; 
-      else if ( preg_match( "/python/"         , $file ) ) continue; 
+      else if ( preg_match( "/systemd-man-pages/", $file ) ) continue;
+      else if ( preg_match( "/python/"         , $file ) ) continue;
 
       $version = preg_replace( $pattern, "$1", $file );   // Isolate version
Index: make-aux-files.sh
===================================================================
--- make-aux-files.sh	(revision 4458e3d2d88184e1c5b566f8bac38b6015abd81e)
+++ make-aux-files.sh	(revision 3781c69cbc45591ea4ac06868a65a0ee84151edd)
@@ -9,5 +9,5 @@
 # Create the tarball and clean up
 tar -cJf lfs-bootscripts-$version.tar.xz --exclude .svn lfs-bootscripts-$version
-mv lfs-bootscripts-$version bootscripts 
+mv lfs-bootscripts-$version bootscripts
 
 #rm -f udev-config*.bz2
Index: pdf-fixups.sh
===================================================================
--- pdf-fixups.sh	(revision 4458e3d2d88184e1c5b566f8bac38b6015abd81e)
+++ pdf-fixups.sh	(revision 3781c69cbc45591ea4ac06868a65a0ee84151edd)
@@ -1,5 +1,5 @@
 #!/bin/bash
 
-if [ $# -lt 1 ] ; then 
+if [ $# -lt 1 ] ; then
   echo "This script needs the location of the fo file to update"
   exit 1
Index: process-scripts.sh
===================================================================
--- process-scripts.sh	(revision 4458e3d2d88184e1c5b566f8bac38b6015abd81e)
+++ process-scripts.sh	(revision 3781c69cbc45591ea4ac06868a65a0ee84151edd)
@@ -9,5 +9,5 @@
 do
   script=$(basename $s)
-  
+
   # Skip directories
   [ $script == 'network-devices' ] && continue
@@ -15,10 +15,10 @@
 
   # Disambiguate duplicate file names
-  [ $s == 'bootscripts/lfs/sysconfig/rc'         ] && script='rc-sysinit'; 
-  [ $s == 'bootscripts/lfs/sysconfig/modules'    ] && script='modules-sysinit'; 
-  [ $s == 'bootscripts/lfs/sysconfig/udev_retry' ] && script='config-udev-retry'; 
-  
+  [ $s == 'bootscripts/lfs/sysconfig/rc'         ] && script='rc-sysinit';
+  [ $s == 'bootscripts/lfs/sysconfig/modules'    ] && script='modules-sysinit';
+  [ $s == 'bootscripts/lfs/sysconfig/udev_retry' ] && script='config-udev-retry';
+
   sed  -e 's/\&/\&amp\;/g' -e 's/</\&lt\;/g'   -e 's/>/\&gt\;/g' \
        -e "s/'/\&apos\;/g" -e 's/"/\&quot\;/g' -e 's/\t/    /g'  \
-       $s > appendices/${script}.script 
+       $s > appendices/${script}.script
 done
Index: udev-lfs/ChangeLog
===================================================================
--- udev-lfs/ChangeLog	(revision 4458e3d2d88184e1c5b566f8bac38b6015abd81e)
+++ udev-lfs/ChangeLog	(revision 3781c69cbc45591ea4ac06868a65a0ee84151edd)
@@ -62,5 +62,5 @@
 	* 55-lfs.rules: Override default perms on floppy disk devices provided
 	  by 50-udev-default.rules.  Thanks to Bruce Dubbs for the fix.  Closes
-	  LFS ticket #2076. 
+	  LFS ticket #2076.
 
 2008-05-21  Bryan Kadzban  <bryan@linuxfromscratch.org>
@@ -146,5 +146,5 @@
 	  upstream sample rules files (from udev-102), except for one rule
 	  which is more specific in our tarball and should probably be changed
-	  upstream. 
+	  upstream.
 	* doc/60-persistent-storage.txt: Modify to match the changes.  Also
 	  fix a couple typos.
Index: udev-lfs/Makefile.lfs
===================================================================
--- udev-lfs/Makefile.lfs	(revision 4458e3d2d88184e1c5b566f8bac38b6015abd81e)
+++ udev-lfs/Makefile.lfs	(revision 3781c69cbc45591ea4ac06868a65a0ee84151edd)
@@ -16,5 +16,5 @@
 	@echo "Use the install target"
 
-install: 
+install:
 	@mkdir -pv $(DESTDIR)/lib/udev/rules.d \
               $(DESTDIR)/etc/udev/rules.d \
Index: udev-lfs/init-net-rules.sh
===================================================================
--- udev-lfs/init-net-rules.sh	(revision 4458e3d2d88184e1c5b566f8bac38b6015abd81e)
+++ udev-lfs/init-net-rules.sh	(revision 3781c69cbc45591ea4ac06868a65a0ee84151edd)
@@ -5,5 +5,5 @@
 # Updated fof udev-197 (DEVICES=en*)
 
-RULES=/etc/udev/rules.d/70-persistent-net.rules 
+RULES=/etc/udev/rules.d/70-persistent-net.rules
 DEVICES=$(eval echo /sys/class/net/{en*,eth*,ath*,wlan*[0-9],msh*,ra*,sta*,ctc*,lcs*,hsi*})
 
@@ -69,7 +69,7 @@
 
   # S/390 uses id matches only, do not use MAC address match
-  # SUBSYSTEMS=="ccwgroup", 
-  # export COMMENT="S/390 $driver device at $id", 
-  # export MATCHID="$id" 
+  # SUBSYSTEMS=="ccwgroup",
+  # export COMMENT="S/390 $driver device at $id",
+  # export MATCHID="$id"
   # export MATCHDRV="$driver"
   # export MATCHADDR=""
@@ -99,8 +99,8 @@
   msg="The rules file should not be created in the Xen environment"
   usage
-fi 
+fi
 
 # Variables used to communicate with write_net_rules:
-#   INTERFACE             simple interface name         
+#   INTERFACE             simple interface name
 #   MATCHADDR             MAC address used for the match
 #   MATCHID               bus_id used for the match
@@ -125,5 +125,5 @@
      comment
 
-     /lib/udev/write_net_rules 
+     /lib/udev/write_net_rules
 done
 