Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision b9560f3159254e72fef23a316b5d47aa77aecafd)
+++ chapter01/changelog.xml	(revision 3814b39baa2f7867da4a293021a76fe183a2cde9)
@@ -62,4 +62,30 @@
 
     <listitem>
+      <para>2019-11-01</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.3.8. Fixes
+          <ulink url="&lfs-ticket-root;4539">#4539</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bc-2.2.0. Fixes
+          <ulink url="&lfs-ticket-root;4543">#4543</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to check-0.13.0. Fixes
+          <ulink url="&lfs-ticket-root;4540">#4540</ulink>.</para>
+        </listitem>
+        <listitem revision="sysv">
+          <para>[bdubbs] - Update to eudev-3.2.9. Fixes
+          <ulink url="&lfs-ticket-root;4542">#4542</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-db-2.9.0. Fixes
+          <ulink url="&lfs-ticket-root;4541">#4541</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2019-10-17</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision b9560f3159254e72fef23a316b5d47aa77aecafd)
+++ chapter01/whatsnew.xml	(revision 3814b39baa2f7867da4a293021a76fe183a2cde9)
@@ -42,7 +42,7 @@
       <para>Bash &bash-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Bc &bc-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>Binutils-&binutils-version;</para>
@@ -54,7 +54,7 @@
       <para>Bzip2-&bzip2-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Check-&check-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Coreutils-&coreutils-version;</para>
@@ -72,7 +72,7 @@
       <para>E2fsprogs-&e2fsprogs-version;</para>
    </listitem>
-   <!--<listitem revision="sysv">
+   <listitem revision="sysv">
       <para>Eudev-&eudev-version;</para>
-   </listitem>-->
+   </listitem>
    <listitem>
       <para>Expat-&expat-version;</para>
Index: chapter06/check.xml
===================================================================
--- chapter06/check.xml	(revision b9560f3159254e72fef23a316b5d47aa77aecafd)
+++ chapter06/check.xml	(revision 3814b39baa2f7867da4a293021a76fe183a2cde9)
@@ -59,6 +59,5 @@
     <para>Install the package and fix a script:</para>
 
-    <screen><userinput remap="install">make docdir=/usr/share/doc/check-&check-version; install
-sed -i '1 s/tools/usr/' /usr/bin/checkmk</userinput></screen>
+    <screen><userinput remap="install">make docdir=/usr/share/doc/check-&check-version; install</userinput></screen>
 
   </sect2>
Index: general.ent
===================================================================
--- general.ent	(revision b9560f3159254e72fef23a316b5d47aa77aecafd)
+++ general.ent	(revision 3814b39baa2f7867da4a293021a76fe183a2cde9)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20191031">
+<!ENTITY version         "SVN-20191101">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20191031-systemd">
+<!ENTITY versiond        "20191101-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "October 31st, 2019">
+<!ENTITY releasedate     "November 1st, 2019">
 
 <!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision b9560f3159254e72fef23a316b5d47aa77aecafd)
+++ packages.ent	(revision 3814b39baa2f7867da4a293021a76fe183a2cde9)
@@ -51,8 +51,8 @@
 <!ENTITY bash-ch6-sbu "2.1 SBU">
 
-<!ENTITY bc-version "2.1.3">
-<!ENTITY bc-size "233 KB">
+<!ENTITY bc-version "2.2.0">
+<!ENTITY bc-size "236 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/archive/&bc-version;/bc-&bc-version;.tar.gz">
-<!ENTITY bc-md5 "2a882dc39c0fb8e36c12f590d54cc039">
+<!ENTITY bc-md5 "0de4a7b7592e1d7e12f9f601477fe081">
 <!ENTITY bc-home "https://github.com/gavinhoward/bc">
 <!ENTITY bc-ch6-du "2.8 MB">
@@ -100,8 +100,8 @@
 <!ENTITY ref6-md5 "REF6-MD5SUM">
 
-<!ENTITY check-version "0.12.0">
-<!ENTITY check-size "747 KB">
+<!ENTITY check-version "0.13.0">
+<!ENTITY check-size "753 KB">
 <!ENTITY check-url "&github;/libcheck/check/releases/download/&check-version;/check-&check-version;.tar.gz">
-<!ENTITY check-md5 "31b17c6075820a434119592941186f70">
+<!ENTITY check-md5 "2c730c40b08482eaeb10132517970593">
 <!ENTITY check-home "https://libcheck.github.io/check">
 <!ENTITY check-ch5-du "12 MB">
@@ -160,8 +160,8 @@
 <!ENTITY elfutils-ch6-sbu "1.1 SBU">
 
-<!ENTITY eudev-version "3.2.8">
-<!ENTITY eudev-size "1,850 KB">
+<!ENTITY eudev-version "3.2.9">
+<!ENTITY eudev-size "1,914 KB">
 <!ENTITY eudev-url "https://dev.gentoo.org/~blueness/eudev/eudev-&eudev-version;.tar.gz">
-<!ENTITY eudev-md5 "ce166b3fdd910c2a4a840378f48fedaf">
+<!ENTITY eudev-md5 "dedfb1964f6098fe9320de827957331f">
 <!ENTITY eudev-ch6-du "82 MB">
 <!ENTITY eudev-ch6-sbu "0.2 SBU">
@@ -423,10 +423,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "3">
-<!ENTITY linux-patch-version "6">
+<!ENTITY linux-patch-version "8">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!ENTITY linux-size "106,024 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "9905ef7f60b2ad0b26f614d95f3eb1e4">
+<!ENTITY linux-md5 "6f4ab59d6ac7311f4245fc359706a0b7">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -461,8 +461,8 @@
 <!ENTITY make-ch6-sbu "0.6 SBU">
 
-<!ENTITY man-db-version "2.8.7">
-<!ENTITY man-db-size "1,796 KB">
+<!ENTITY man-db-version "2.9.0">
+<!ENTITY man-db-size "1,814 KB">
 <!ENTITY man-db-url "&savannah;/releases/man-db/man-db-&man-db-version;.tar.xz">
-<!ENTITY man-db-md5 "ec0b23c8314a1654c4d059b2c18ce43d">
+<!ENTITY man-db-md5 "897576a19ecbef376a916485608cd790">
 <!ENTITY man-db-home "https://www.nongnu.org/man-db/">
 <!ENTITY man-db-ch6-du "38 MB">