Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision dd637ac4e2cc9b1e700ee76d64d2fcd6e80d0539)
+++ chapter01/changelog.xml	(revision 4476fba0b98ff83505108eddb373461ddc000849)
@@ -44,5 +44,14 @@
 -->
     <listitem>
-      <para>2017-10-24</para>
+      <para>2017-10-15</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Add optional patch to ninja.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2017-10-14</para>
       <itemizedlist>
         <listitem>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision dd637ac4e2cc9b1e700ee76d64d2fcd6e80d0539)
+++ chapter03/patches.xml	(revision 4476fba0b98ff83505108eddb373461ddc000849)
@@ -84,4 +84,12 @@
       </listitem>
     </varlistentry>
+
+    <varlistentry>
+      <term>Ninja Limit Jobs Patch - <token>&ninja-limit-jobs-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink url="&patches-root;&ninja-limit-jobs-patch;"/></para>
+        <para>MD5 sum: <literal>&ninja-limit-jobs-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
 <!--
     <varlistentry>
Index: chapter06/ninja.xml
===================================================================
--- chapter06/ninja.xml	(revision dd637ac4e2cc9b1e700ee76d64d2fcd6e80d0539)
+++ chapter06/ninja.xml	(revision 4476fba0b98ff83505108eddb373461ddc000849)
@@ -41,10 +41,33 @@
     <title>Installation of Ninja</title>
 
-    <para>Prepare Ninja for compilation:</para>
+    <para>When run, ninja normally runs a maximum number of processes
+    in parallel.  By default this is the number of cores on the system 
+    plus two.  In some cases this can overheat a CPU or run a system out
+    of memory.  If run from the command line, passing a -jN parameter
+    will limit the number of parallel processes, but some packages
+    embed the execution of ninja and do not pass a -j parameter.</para>
+
+    <para>Using the <emphasis>optional</emphasis> patch below allows a user to
+    limit the number of parallel processes via an environment variable, 
+    NINJAJOBS.  <command>For example</command> setting:
+
+     <!-- Using <command> here to make the output bold.  We really don't want
+     users setting this now and experience shows that many users blindly
+     copy/paste anything in a box. -->
+
+    <screen>export NINJAJOBS=4</screen>
+
+    will limit ninja to four parallel processes.</para>
+
+    <para>If desired, install the patch by running:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../ninja-1.8.2-add_NINJAJOBS_var-1.patch</userinput></screen>
+
+    <para>Build Ninja with:</para>
 
 <screen><userinput remap="configure">python3 configure.py --bootstrap</userinput></screen>
 
     <variablelist>
-      <title>The meaning of the configure options:</title>
+      <title>The meaning of the build option:</title>
 
       <varlistentry>
@@ -67,10 +90,7 @@
 
 <screen><userinput remap="install">install -vm755 ninja /usr/bin/
-install -vDm644 misc/ninja.vim \
-                /usr/share/vim/vim&vim-majmin;/syntax/ninja.vim
-install -vDm644 misc/bash-completion \
-                /usr/share/bash-completion/completions/ninja
-install -vDm644 misc/zsh-completion \
-                /usr/share/zsh/site-functions/_ninja</userinput></screen>
+install -vDm644 misc/ninja.vim       /usr/share/vim/vim&vim-majmin;/syntax/ninja.vim
+install -vDm644 misc/bash-completion /usr/share/bash-completion/completions/ninja
+install -vDm644 misc/zsh-completion  /usr/share/zsh/site-functions/_ninja</userinput></screen>
 
   </sect2>
Index: general.ent
===================================================================
--- general.ent	(revision dd637ac4e2cc9b1e700ee76d64d2fcd6e80d0539)
+++ general.ent	(revision 4476fba0b98ff83505108eddb373461ddc000849)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20171014">
+<!ENTITY version         "SVN-20171015">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20171014-systemd">
+<!ENTITY versiond        "20171015-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "October 14, 2017">
+<!ENTITY releasedate     "October 15, 2017">
 
 <!ENTITY copyrightdate   "1999-2017"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: patches.ent
===================================================================
--- patches.ent	(revision dd637ac4e2cc9b1e700ee76d64d2fcd6e80d0539)
+++ patches.ent	(revision 4476fba0b98ff83505108eddb373461ddc000849)
@@ -45,4 +45,8 @@
 <!ENTITY kbd-backspace-patch-size "12 KB">
 
+<!ENTITY ninja-limit-jobs-patch "ninja-&ninja-version;-add_NINJAJOBS_var-1.patch">
+<!ENTITY ninja-limit-jobs-patch-md5 "f537a633532492e805aa342fa869ca45">
+<!ENTITY ninja-limit-jobs-patch-size "2.5">
+
 <!ENTITY sysvinit-consolidated-patch "sysvinit-&sysvinit-version;-consolidated-1.patch">
 <!ENTITY sysvinit-consolidated-patch-md5 "0b7b5ea568a878fdcc4057b2bf36e5cb">