Index: chapter06/util-linux.xml
===================================================================
--- chapter06/util-linux.xml	(revision f6b1d91be56ece5e06e379ca6efcddb1afc70543)
+++ chapter06/util-linux.xml	(revision 4783efe5de8eccca80fa9c7c7b9d6323fd045c9f)
@@ -60,21 +60,7 @@
     <title>Installation of Util-linux</title>
 
-<screen><userinput remap="configure">./configure --disable-su --disable-sulogin --disable-login</userinput></screen>
-
-    <variablelist>
-      <title>The meaning of the configure option:</title>
-
-      <varlistentry>
-        <term><parameter>--disable-*</parameter></term>
-        <listitem>
-          <para>These switches disable building su, sulogin, and login.  They
-          duplicate the same programs provided by <xref
-          linkend='ch-system-shadow'/> and <xref linkend='ch-system-sysvinit'/>.
-          They also require
-          <ulink url="&blfs-root;/view/svn/postlfs/linux-pam.html">Linux-PAM</ulink>
-          which is not available in LFS.</para>
-        </listitem>
-      </varlistentry>
-    </variablelist>
+    <para>Prepare Util-linux for compilation:</para>
+
+<screen><userinput remap="configure">./configure</userinput></screen>
 
     <para>Compile the package:</para>
@@ -85,10 +71,9 @@
 
     <warning><para>Running the test suite as the root user can be harmful to
-    your system.  To run it, the kernel CONFIG_SCSI_DEBUG option for the kernel
-    must be available in the currently running system.  The CONFIG_SCSI_DEBUG
-    option must be built as a module.  Building it into the kernel will prevent
-    booting.  For complete coverage, other BLFS packages must be installed.  If
-    desired, this test can be run after rebooting into the completed LFS system
-    and running:</para>
+    your system.  To run it, the CONFIG_SCSI_DEBUG option for the kernel must
+    be available in the currently running system, and must be built as a
+    module.  Building it into the kernel will prevent booting.  For complete
+    coverage, other BLFS packages must be installed.  If desired, this test can
+    be run after rebooting into the completed LFS system and running:</para>
 
     <screen role="nodump"><userinput>bash tests/run.sh --srcdir=$PWD --builddir=$PWD</userinput></screen> 
@@ -118,15 +103,16 @@
       <seglistitem>
         <seg>addpart, agetty, blkdiscard, blkid, blockdev, cal, cfdisk, chcpu,
-        chrt, col, colcrt, colrm, column, ctrlaltdel, cytune, delpart,
-        dmesg, eject, fallocate, fdformat, fdisk, findfs, findmnt, flock, fsck,
-        fsck.cramfs, fsck.minix, fsfreeze, fstrim, getopt, hexdump, hwclock, i386,
-        ionice, ipcmk, ipcrm, ipcs, isosize, kill, ldattach, linux32, linux64,
-        logger, look, losetup, lsblk, lscpu, lslocks, mcookie, mkfs, mkfs.bfs,
-        mkfs.cramfs, mkfs.minix, mkswap, more, mount, mountpoint, namei, partx,
-        pg, pivot_root, prlimit, raw, readprofile, rename, renice, resizepart,
-        rev, rtcwake, script, scriptreplay, setarch, setsid, setterm, sfdisk,
-        swaplabel, swapoff (link to swapon), swapon, switch_root, tailf,
-        taskset, ul, umount, unshare, utmpdump, uuidd, uuidgen, wall,
-        wdctl, whereis, wipefs, and x86_64</seg>
+        chrt, col, colcrt, colrm, column, ctrlaltdel, cytune, delpart, dmesg,
+        eject, fallocate, fdformat, fdisk, findfs, findmnt, flock, fsck,
+        fsck.cramfs, fsck.minix, fsfreeze, fstrim, getopt, hexdump, hwclock,
+        i386, ionice, ipcmk, ipcrm, ipcs, isosize, kill, last, lastb (link to
+        last), ldattach, linux32, linux64, logger, look, losetup, lsblk, lscpu,
+        lslocks, mcookie, mkfs, mkfs.bfs, mkfs.cramfs, mkfs.minix, mkswap,
+        more, mount, mountpoint, namei, partx, pg, pivot_root, prlimit, raw,
+        readprofile, rename, renice, resizepart, rev, rtcwake, script,
+        scriptreplay, setarch, setsid, setterm, sfdisk, sulogin, swaplabel,
+        swapoff (link to swapon), swapon, switch_root, tailf, taskset, ul,
+        umount, unshare, utmpdump, uuidd, uuidgen, wall, wdctl, whereis,
+        wipefs, and x86_64</seg>
 
         <seg>libblkid.{a,so}, libmount.{a,so}, libuuid.{a,so}</seg>
@@ -547,4 +533,27 @@
       </varlistentry>
 
+      <varlistentry id="last">
+        <term><command>last</command></term>
+        <listitem>
+          <para>Shows which users last logged in (and out), searching back 
+          through the <filename>/var/log/wtmp</filename> file; it also shows 
+          system boots, shutdowns, and run-level changes</para>
+          <indexterm zone="ch-system-util-linux last">
+            <primary sortas="b-last">last</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="lastb">
+        <term><command>lastb</command></term>
+        <listitem>
+          <para>Shows the failed login attempts, as logged in 
+          <filename>/var/log/btmp</filename></para>
+          <indexterm zone="ch-system-util-linux lastb">
+            <primary sortas="b-lastb">lastb</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="ldattach">
         <term><command>ldattach</command></term>
@@ -649,4 +658,15 @@
       </varlistentry>
 
+      <varlistentry id="mesg">
+        <term><command>mesg</command></term>
+        <listitem>
+          <para>Controls whether other users can send messages to the current 
+          user's terminal</para>
+          <indexterm zone="ch-system-util-linux mesg">
+            <primary sortas="b-mesg">mesg</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="mkfs">
         <term><command>mkfs</command></term>
@@ -923,4 +943,16 @@
           <indexterm zone="ch-system-util-linux sfdisk">
             <primary sortas="b-sfdisk">sfdisk</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="sulogin">
+        <term><command>sulogin</command></term>
+        <listitem>
+          <para>Allows <systemitem class="username">root</systemitem> to log in;
+          it is normally invoked by <command>init</command> when the system goes
+          into single user mode</para>
+          <indexterm zone="ch-system-util-linux sulogin">
+            <primary sortas="b-sulogin">sulogin</primary>
           </indexterm>
         </listitem>