Index: apter06/changingowner.xml
===================================================================
--- chapter06/changingowner.xml	(revision eb8890f68b9d1fa49c48b6d0f0c2a58ac7a6e0cd)
+++ 	(revision )
@@ -1,41 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-tools-changingowner">
-  <?dbhtml filename="changingowner.html"?>
-
-  <title>Changing Ownership</title>
-
-  <note>
-    <para>The commands in the remainder of this book must be performed while
-    logged in as user <systemitem class="username">root</systemitem> and no
-    longer as user <systemitem class="username">lfs</systemitem>. Also, double
-    check that <envar>$LFS</envar> is set in <systemitem
-    class="username">root</systemitem>'s environment.</para>
-  </note>
-
-  <para>Currently, the whole directory hierarchy in <filename
-  class="directory">$LFS</filename>
-  is owned by the user <systemitem class="username">lfs</systemitem>, a user
-  that exists only on the host system. If the directories under <filename
-  class="directory">$LFS</filename> are kept as they are, the files are
-  owned by a user ID without a corresponding account. This is dangerous because
-  a user account created later could get this same user ID and would own all
-  the files under <filename class="directory">$LFS</filename>, thus exposing
-  these files to possible malicious manipulation.</para>
-
-  <para>To avoid this issue, you could add the <systemitem
-  class="username">lfs</systemitem> user to the new LFS system later when
-  creating the <filename>/etc/passwd</filename> file, taking care to assign it
-  the same user and group IDs as on the host system. Better yet, change the
-  ownership of the <filename class="directory">$LFS/*</filename> directories to
-  user <systemitem class="username">root</systemitem> by running the following
-  command:</para>
-
-<screen><userinput>chown -R root:root $LFS/{usr,lib,var,etc,bin,sbin,lib64,tools}</userinput></screen>
-
-</sect1>
Index: chapter06/chapter06.xml
===================================================================
--- chapter06/chapter06.xml	(revision eb8890f68b9d1fa49c48b6d0f0c2a58ac7a6e0cd)
+++ chapter06/chapter06.xml	(revision 5061bc643ae1e53cd22c1cf9c86b934481108090)
@@ -30,5 +30,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gcc-pass2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="stripping.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="changingowner.xml"/>
 
 </chapter>
Index: chapter07/changingowner.xml
===================================================================
--- chapter07/changingowner.xml	(revision 5061bc643ae1e53cd22c1cf9c86b934481108090)
+++ chapter07/changingowner.xml	(revision 5061bc643ae1e53cd22c1cf9c86b934481108090)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-tools-changingowner">
+  <?dbhtml filename="changingowner.html"?>
+
+  <title>Changing Ownership</title>
+
+  <note>
+    <para>The commands in the remainder of this book must be performed while
+    logged in as user <systemitem class="username">root</systemitem> and no
+    longer as user <systemitem class="username">lfs</systemitem>. Also, double
+    check that <envar>$LFS</envar> is set in <systemitem
+    class="username">root</systemitem>'s environment.</para>
+  </note>
+
+  <para>Currently, the whole directory hierarchy in <filename
+  class="directory">$LFS</filename>
+  is owned by the user <systemitem class="username">lfs</systemitem>, a user
+  that exists only on the host system. If the directories under <filename
+  class="directory">$LFS</filename> are kept as they are, the files are
+  owned by a user ID without a corresponding account. This is dangerous because
+  a user account created later could get this same user ID and would own all
+  the files under <filename class="directory">$LFS</filename>, thus exposing
+  these files to possible malicious manipulation.</para>
+
+  <para>To avoid this issue, you could add the <systemitem
+  class="username">lfs</systemitem> user to the new LFS system later when
+  creating the <filename>/etc/passwd</filename> file, taking care to assign it
+  the same user and group IDs as on the host system. Better yet, change the
+  ownership of the <filename class="directory">$LFS/*</filename> directories to
+  user <systemitem class="username">root</systemitem> by running the following
+  command:</para>
+
+<screen><userinput>chown -R root:root $LFS/{usr,lib,var,etc,bin,sbin,lib64,tools}</userinput></screen>
+
+</sect1>
Index: chapter07/chapter07.xml
===================================================================
--- chapter07/chapter07.xml	(revision eb8890f68b9d1fa49c48b6d0f0c2a58ac7a6e0cd)
+++ chapter07/chapter07.xml	(revision 5061bc643ae1e53cd22c1cf9c86b934481108090)
@@ -12,4 +12,5 @@
   <title>Entering Chroot and Building Additional Tools</title>
 
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="changingowner.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kernfs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="chroot.xml"/>