Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 1803e9b375c297e98675ffc217a9433af172cf33)
+++ chapter01/changelog.xml	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
@@ -44,5 +44,46 @@
     <listitem revision="sysv"> or <listitem revision="systemd"> as
     appropriate for the entry or if needed the entire day's listitem.
-    -->
+       -->
+    <listitem>
+      <para>2019-06-18</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to linux-5.1.11. Fixes the SOCK PANIC
+          issue. Fixes
+          <ulink url="&lfs-ticket-root;4485">#4485</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2019-06-16</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to vim-8.1.1535. Fixes
+          <ulink url="&lfs-ticket-root;4482">#4482</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to shadow-4.7. Fixes
+          <ulink url="&lfs-ticket-root;4481">#4481</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.1.10. Fixes
+          <ulink url="&lfs-ticket-root;4478">#4478</ulink>.</para>
+        </listitem>
+        <listitem revision="sysv">
+          <para>[bdubbs] - Update to less-551. Fixes
+          <ulink url="&lfs-ticket-root;4477">#4477</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to util-linux-2.34. Fixes
+          <ulink url="&lfs-ticket-root;4452">#4462</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Remove eudev instructions referring to /tools. Fixes
+          <ulink url="&lfs-ticket-root;4480">#4480</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem revision="systemd">
       <para>2019-06-12</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 1803e9b375c297e98675ffc217a9433af172cf33)
+++ chapter01/whatsnew.xml	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
@@ -141,7 +141,7 @@
       <para>Kmod-&kmod-version;</para>
    </listitem>-->
-   <!--<listitem>
+   <listitem>
       <para>Less-&less-version;</para>
-   </listitem>-->
+   </listitem>
     <listitem>
       <para>LFS-Bootscripts-&lfs-bootscripts-version;</para>
@@ -219,7 +219,7 @@
       <para>Sed-&sed-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Shadow-&shadow-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem revision="sysv">
       <para>Sysklogd-&sysklogd-version;</para>
@@ -246,7 +246,7 @@
       <para>Util-Linux-&util-linux-version;</para>
    </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Vim-&vim-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>XML-Parser-&xml-parser-version;</para>
Index: chapter05/gcc-pass1.xml
===================================================================
--- chapter05/gcc-pass1.xml	(revision 1803e9b375c297e98675ffc217a9433af172cf33)
+++ chapter05/gcc-pass1.xml	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
@@ -88,11 +88,9 @@
   sed -e 's@/lib\(64\)\?\(32\)\?\(x32\)\?/ld@/tools&amp;@g' \
       -e 's@/usr@/tools@g' $file.orig &gt; $file
-  echo '
-#undef STANDARD_STARTFILE_PREFIX_1
-#undef STANDARD_STARTFILE_PREFIX_2
-#define STANDARD_STARTFILE_PREFIX_1 "/tools/lib/"
-#define STANDARD_STARTFILE_PREFIX_2 ""' &gt;&gt; $file
   touch $file.orig
-done</userinput></screen>
+done
+sed -e "/^#define[[:blank:]]*STANDARD_STARTFILE_PREFIX_1/ s;\".*\";\"/tools/lib/\";" \
+    -e "/^#define[[:blank:]]*STANDARD_STARTFILE_PREFIX_2/ s;\".*\";\"\";" \
+    -i gcc/gcc.c</userinput></screen>
 
     <para>In case the above seems hard to follow, let's break it down a bit.
Index: chapter05/gcc-pass2.xml
===================================================================
--- chapter05/gcc-pass2.xml	(revision 1803e9b375c297e98675ffc217a9433af172cf33)
+++ chapter05/gcc-pass2.xml	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
@@ -76,11 +76,9 @@
   sed -e 's@/lib\(64\)\?\(32\)\?\(x32\)\?/ld@/tools&amp;@g' \
       -e 's@/usr@/tools@g' $file.orig &gt; $file
-  echo '
-#undef STANDARD_STARTFILE_PREFIX_1
-#undef STANDARD_STARTFILE_PREFIX_2
-#define STANDARD_STARTFILE_PREFIX_1 "/tools/lib/"
-#define STANDARD_STARTFILE_PREFIX_2 ""' &gt;&gt; $file
   touch $file.orig
-done</userinput></screen>
+done
+sed -e "/^#define[[:blank:]]*STANDARD_STARTFILE_PREFIX_1/ s;\".*\";\"/tools/lib/\";" \
+    -e "/^#define[[:blank:]]*STANDARD_STARTFILE_PREFIX_2/ s;\".*\";\"\";" \
+    -i gcc/gcc.c</userinput></screen>
 
     <para arch="default">If building on x86_64, change the default directory
Index: chapter06/eudev.xml
===================================================================
--- chapter06/eudev.xml	(revision 1803e9b375c297e98675ffc217a9433af172cf33)
+++ chapter06/eudev.xml	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
@@ -50,4 +50,5 @@
 <screen><userinput remap="pre">sed -i '/keyboard_lookup_key/d' src/udev/udev-builtin-keyboard.c</userinput></screen>
 -->
+<!--
     <para>First, add a workaround to prevent the /tools directory from being 
     hard coded into Eudev binary files library locations:</para>
@@ -58,5 +59,5 @@
 BLKID_CFLAGS="-I/tools/include"
 EOF</userinput></screen>
-
+-->
 <para>Prepare Eudev for compilation:</para>
 
@@ -70,9 +71,11 @@
             --with-rootlibdir=/lib  \
             --enable-manpages       \
-            --disable-static        \
-            --config-cache</userinput></screen>
+            --disable-static</userinput></screen>
+<!--           - -config-cache</userinput></screen> -->
 
 <para>Compile the package:</para>
 
+<screen><userinput remap="make">make</userinput></screen>
+<!--
 <screen><userinput remap="make">LIBRARY_PATH=/tools/lib make</userinput></screen>
 
@@ -82,5 +85,5 @@
 used to find libraries during the linking process.  LD_LIBRARY_PATH is
 used to find libraries during program execution.</para></note>
-
+-->
 <para>Create some directories now that are needed for tests, but
 will also be used as a part of installation:</para>
@@ -91,9 +94,11 @@
 <para>To test the results, issue:</para>
 
-<screen><userinput remap="test">make LD_LIBRARY_PATH=/tools/lib check</userinput></screen>
+<screen><userinput remap="test">make check</userinput></screen>
+<!--<screen><userinput remap="test">make LD_LIBRARY_PATH=/tools/lib check</userinput></screen>-->
 
     <para>Install the package:</para>
 
-<screen><userinput remap="install">make LD_LIBRARY_PATH=/tools/lib install</userinput></screen>
+<screen><userinput remap="install">make install</userinput></screen>
+<!--<screen><userinput remap="install">make LD_LIBRARY_PATH=/tools/lib install</userinput></screen>-->
 
     <para>Install some custom rules and support files useful in an LFS 
@@ -197,5 +202,6 @@
     initial database:</para>
 
-<screen><userinput>LD_LIBRARY_PATH=/tools/lib udevadm hwdb --update</userinput></screen>
+<!--<screen><userinput>LD_LIBRARY_PATH=/tools/lib udevadm hwdb - -update</userinput></screen>-->
+<screen><userinput>udevadm hwdb --update</userinput></screen>
 
     <para>This command needs to be run each time the hardware information is
Index: chapter06/vim.xml
===================================================================
--- chapter06/vim.xml	(revision 1803e9b375c297e98675ffc217a9433af172cf33)
+++ chapter06/vim.xml	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
@@ -67,7 +67,16 @@
 <screen><userinput remap="make">make</userinput></screen>
 
-    <para>To test the results, issue:</para>
-
-<screen><userinput remap="test">LANG=en_US.UTF-8 make -j1 test &amp;&gt; vim-test.log</userinput></screen>
+    <para>To prepare the tests, ensure that the 
+    <systemitem class="username">nobody</systemitem> user can write 
+    to the sources tree:</para>
+
+<screen><userinput remap="test">chown -Rv nobody .</userinput></screen>
+
+    <para>Now run the tests as the <systemitem
+    class="username">nobody</systemitem> user:</para>
+
+<screen><userinput remap="test">su nobody -s /bin/bash -c "LANG=en_US.UTF-8 make -j1 test" &amp;> vim-test.log</userinput></screen>
+
+<!--<screen><userinput remap="test">LANG=en_US.UTF-8 make -j1 test &amp;&gt; vim-test.log</userinput></screen>-->
 
     <para>The test suite outputs a lot of binary data to the screen.  This can
Index: general.ent
===================================================================
--- general.ent	(revision 1803e9b375c297e98675ffc217a9433af172cf33)
+++ general.ent	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20190612">
+<!ENTITY version         "SVN-20190618">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20190612-systemd">
+<!ENTITY versiond        "20190618-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "June 12, 2019">
+<!ENTITY releasedate     "June 18, 2019">
 
 <!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: lfs-latest.php
===================================================================
--- lfs-latest.php	(revision 1803e9b375c297e98675ffc217a9433af172cf33)
+++ lfs-latest.php	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
@@ -105,5 +105,5 @@
   global $regex;
 
-//if ( $package != "expat" ) return 0; // Debug
+//if ( $package != "vim" ) return 0; // Debug
 
 if ( $package == "check"      ) $dirpath = "https://github.com/libcheck/check/releases";
@@ -126,5 +126,6 @@
 if ( $package == "tcl"        ) $dirpath = "http://sourceforge.net/projects/tcl/files";
 if ( $package == "util-linux" ) $dirpath = max_parent( $dirpath, "v." );
-if ( $package == "vim"        ) $dirpath = "ftp://ftp.vim.org/pub/vim/unix";
+if ( $package == "vim"        ) $dirpath = "https://github.com/vim/vim/releases";
+//if ( $package == "vim"        ) $dirpath = "ftp://ftp.vim.org/pub/vim/unix";
 
   // Check for ftp
@@ -279,4 +280,7 @@
      return find_max( $lines, "/openssl/", "/^.*openssl-([\d\.p]*\d.?).tar.*$/" );
 
+  if ( $package == "vim" )
+     return find_max( $lines, "/v\d\./", "/^.*v([\d\.]+).*$/" );
+
   // Most packages are in the form $package-n.n.n
   // Occasionally there are dashes (e.g. 201-1)
Index: packages.ent
===================================================================
--- packages.ent	(revision 1803e9b375c297e98675ffc217a9433af172cf33)
+++ packages.ent	(revision 5066dee82894ed214d8ba6f2f0f2b354a89d70af)
@@ -382,8 +382,8 @@
 <!ENTITY kmod-ch6-sbu "0.1 SBU">
 
-<!ENTITY less-version "530">
-<!ENTITY less-size "332 KB">
+<!ENTITY less-version "551">
+<!ENTITY less-size "339 KB">
 <!ENTITY less-url "http://www.greenwoodsoftware.com/less/less-&less-version;.tar.gz">
-<!ENTITY less-md5 "6a39bccf420c946b0fd7ffc64961315b">
+<!ENTITY less-md5 "4ad4408b06d7a6626a055cb453f36819">
 <!ENTITY less-home "http://www.greenwoodsoftware.com/less/">
 <!ENTITY less-ch6-du "3.9 MB">
@@ -432,10 +432,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "1">
-<!ENTITY linux-patch-version "6">
+<!ENTITY linux-patch-version "11">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "103,771 KB">
+<!ENTITY linux-size "103,772 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "252fe34c28205fcaaa6b1b3782576b84">
+<!ENTITY linux-md5 "4f1eda4b7f6a4a6e2d66563cba307ce8">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -623,8 +623,8 @@
 <!ENTITY sed-ch6-sbu "0.3 SBU">
 
-<!ENTITY shadow-version "4.6">
-<!ENTITY shadow-size "1,639 KB">
+<!ENTITY shadow-version "4.7">
+<!ENTITY shadow-size "1,587 KB">
 <!ENTITY shadow-url "&github;/shadow-maint/shadow/releases/download/&shadow-version;/shadow-&shadow-version;.tar.xz">
-<!ENTITY shadow-md5 "b491fecbf1232632c32ff8f1437fd60e">
+<!ENTITY shadow-md5 "f7ce18c8dfd05f1a009266cb604d58b7">
 <!ENTITY shadow-home "https://pkg-shadow.alioth.debian.org/"> 
 <!ENTITY shadow-ch6-du "46 MB">
@@ -704,9 +704,9 @@
 <!ENTITY udev-lfs-home    " ">
 
-<!ENTITY util-linux-minor "2.33">
-<!ENTITY util-linux-version "2.33.2"> <!-- 2.33.x -->
-<!ENTITY util-linux-size "4,597 KB">
+<!ENTITY util-linux-minor "2.34">
+<!ENTITY util-linux-version "2.34"> <!-- 2.33.x -->
+<!ENTITY util-linux-size "4,859 KB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v&util-linux-minor;/util-linux-&util-linux-version;.tar.xz">
-<!ENTITY util-linux-md5 "91653b90fcbe9c161153e39b8cc69fb5">
+<!ENTITY util-linux-md5 "a78cbeaed9c39094b96a48ba8f891d50">
 <!ENTITY util-linux-home "http://freecode.com/projects/util-linux">
 <!ENTITY util-linux-ch5-du "147 MB">
@@ -715,10 +715,10 @@
 <!ENTITY util-linux-ch6-sbu "1.5 SBU">
 
-<!ENTITY vim-version "8.1">
+<!ENTITY vim-version "8.1.1535">
 <!ENTITY vim-majmin "81">
 <!ENTITY vim-docdir "vim/vim81">
-<!ENTITY vim-size "10,995 KB">
-<!ENTITY vim-url "ftp://ftp.vim.org/pub/vim/unix/vim-&vim-version;.tar.bz2">
-<!ENTITY vim-md5 "1739a1df312305155285f0cfa6118294">
+<!ENTITY vim-size "14,028 KB">
+<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">
+<!ENTITY vim-md5 "95935d54145e03a1c5a499bb3712817d">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-ch6-du "169 MB">