Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision a9ae07b6d8fd9941f54e623f374be0b1e47cea60)
+++ chapter01/changelog.xml	(revision 5323dbffae26954e14862842a9cb0ce4e74ddf5c)
@@ -43,4 +43,14 @@
     appropriate for the entry or if needed the entire day's listitem.
     -->
+
+    <listitem revision="systemd">
+      <para>2019-03-08</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to systemd-241. Fixes
+          <ulink url="&lfs-ticket-root;4424">#4424</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision a9ae07b6d8fd9941f54e623f374be0b1e47cea60)
+++ chapter01/whatsnew.xml	(revision 5323dbffae26954e14862842a9cb0ce4e74ddf5c)
@@ -222,7 +222,7 @@
       <para>Sysklogd-&sysklogd-version;</para>
     </listitem>-->
-    <!--<listitem revision="systemd">
+    <listitem revision="systemd">
       <para>Systemd-&systemd-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem revision="sysv">
       <para>SysVinit-&sysvinit-version;</para>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision a9ae07b6d8fd9941f54e623f374be0b1e47cea60)
+++ chapter03/patches.xml	(revision 5323dbffae26954e14862842a9cb0ce4e74ddf5c)
@@ -117,5 +117,5 @@
       </listitem>
     </varlistentry>
-
+<!--
     <varlistentry revision="systemd">
       <term>Systemd security patch - <token>&systemd-security-patch-size;</token>:</term>
@@ -125,5 +125,5 @@
       </listitem>
     </varlistentry>
-
+-->
   </variablelist>
 
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision a9ae07b6d8fd9941f54e623f374be0b1e47cea60)
+++ chapter06/systemd.xml	(revision 5323dbffae26954e14862842a9cb0ce4e74ddf5c)
@@ -40,8 +40,9 @@
   <sect2 role="installation">
     <title>Installation of systemd</title>
-
+    <!--
     <para>Apply a patch to fix two critical security vulnerabilities:</para>
 
 <screen><userinput remap="pre">patch -Np1 -i ../systemd-240-security_fixes-2.patch</userinput></screen>
+    -->
 
     <para>Create a symlink to work around missing xsltproc:</para>
Index: general.ent
===================================================================
--- general.ent	(revision a9ae07b6d8fd9941f54e623f374be0b1e47cea60)
+++ general.ent	(revision 5323dbffae26954e14862842a9cb0ce4e74ddf5c)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20190305">
+<!ENTITY version         "SVN-20190308">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20190305-systemd">
+<!ENTITY versiond        "20190308-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "March 5, 2019">
+<!ENTITY releasedate     "March 8, 2019">
 
 <!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision a9ae07b6d8fd9941f54e623f374be0b1e47cea60)
+++ packages.ent	(revision 5323dbffae26954e14862842a9cb0ce4e74ddf5c)
@@ -623,17 +623,17 @@
 <!ENTITY sysklogd-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY systemd-version  "240">
+<!ENTITY systemd-version  "241">
 <!--<!ENTITY systemd-stable   "6b4878d">-->
 <!-- The above entity is used whenever we move to a stable backport branch. In the event of a critical problem or kernel
      change that is incompatible, we will switch to the backport branch until the next stable release. -->
-<!ENTITY systemd-size     "7,412 KB">
+<!ENTITY systemd-size     "7,464 KB">
 <!ENTITY systemd-url      "&github;/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">
 <!--<!ENTITY systemd-url      "&anduin-sources;/systemd-&systemd-version;-&systemd-stable;.tar.xz">-->
-<!ENTITY systemd-md5      "0e4f91b513d4b04e2c10a5173e5a87b2">
+<!ENTITY systemd-md5      "c5953c24c850b44fcf714326e567dc37">
 <!ENTITY systemd-home     "https://www.freedesktop.org/wiki/Software/systemd/">
-<!ENTITY systemd-man-size "460 KB">
+<!ENTITY systemd-man-size "456 KB">
 <!--<!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-version;-&systemd-stable;.tar.xz">-->
 <!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-version;.tar.xz">
-<!ENTITY systemd-man-md5  "ca49a25e1cf330b02adc07218f430dae">
+<!ENTITY systemd-man-md5  "6942e1a9032e19da6639f9705241d119">
 <!ENTITY systemd-ch6-du   "226 MB">
 <!ENTITY systemd-ch6-sbu  "2.4 SBU">
Index: patches.ent
===================================================================
--- patches.ent	(revision a9ae07b6d8fd9941f54e623f374be0b1e47cea60)
+++ patches.ent	(revision 5323dbffae26954e14862842a9cb0ce4e74ddf5c)
@@ -57,6 +57,7 @@
 <!ENTITY sysvinit-consolidated-patch-md5 "4900322141d493e74020c9cf437b2cdc">
 <!ENTITY sysvinit-consolidated-patch-size "2.4 KB">
-
+<!--
 <!ENTITY systemd-security-patch "systemd-&systemd-version;-security_fixes-2.patch">
 <!ENTITY systemd-security-patch-md5 "10abebce8ff5d9fd402623ace39b5ab8">
 <!ENTITY systemd-security-patch-size "14 KB">
+-->