Index: chapter05/binutils-pass1.xml
===================================================================
--- chapter05/binutils-pass1.xml	(revision 8176c9cb550aa6700950a2e96064eae50f2e7a98)
+++ chapter05/binutils-pass1.xml	(revision 6070f516c5a137a643ed68bf6a467c4a6e5476c3)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>binutils</productname>
+    <productname>binutils-pass1</productname>
     <productnumber>&binutils-version;</productnumber>
     <address>&binutils-url;</address>
Index: chapter05/binutils-pass2.xml
===================================================================
--- chapter05/binutils-pass2.xml	(revision 8176c9cb550aa6700950a2e96064eae50f2e7a98)
+++ chapter05/binutils-pass2.xml	(revision 6070f516c5a137a643ed68bf6a467c4a6e5476c3)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>binutils</productname>
+    <productname>binutils-pass2</productname>
     <productnumber>&binutils-version;</productnumber>
     <address>&binutils-url;</address>
Index: chapter05/gcc-pass1.xml
===================================================================
--- chapter05/gcc-pass1.xml	(revision 8176c9cb550aa6700950a2e96064eae50f2e7a98)
+++ chapter05/gcc-pass1.xml	(revision 6070f516c5a137a643ed68bf6a467c4a6e5476c3)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>gcc</productname>
+    <productname>gcc-pass1</productname>
     <productnumber>&gcc-version;</productnumber>
     <address>&gcc-url;</address>
Index: chapter05/gcc-pass2.xml
===================================================================
--- chapter05/gcc-pass2.xml	(revision 8176c9cb550aa6700950a2e96064eae50f2e7a98)
+++ chapter05/gcc-pass2.xml	(revision 6070f516c5a137a643ed68bf6a467c4a6e5476c3)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>gcc</productname>
+    <productname>gcc-pass2</productname>
     <productnumber>&gcc-version;</productnumber>
     <address>&gcc-url;</address>
Index: chapter05/libstdc++.xml
===================================================================
--- chapter05/libstdc++.xml	(revision 8176c9cb550aa6700950a2e96064eae50f2e7a98)
+++ chapter05/libstdc++.xml	(revision 6070f516c5a137a643ed68bf6a467c4a6e5476c3)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>gcc</productname>
+    <productname>gcc-libstdc++</productname>
     <productnumber>&gcc-version;</productnumber>
     <address>&gcc-url;</address>
Index: chapter05/linux-headers.xml
===================================================================
--- chapter05/linux-headers.xml	(revision 8176c9cb550aa6700950a2e96064eae50f2e7a98)
+++ chapter05/linux-headers.xml	(revision 6070f516c5a137a643ed68bf6a467c4a6e5476c3)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>linux</productname>
+    <productname>linux-headers</productname>
     <productnumber>&linux-version;</productnumber>
     <address>&linux-url;</address>
Index: chapter06/linux-headers.xml
===================================================================
--- chapter06/linux-headers.xml	(revision 8176c9cb550aa6700950a2e96064eae50f2e7a98)
+++ chapter06/linux-headers.xml	(revision 6070f516c5a137a643ed68bf6a467c4a6e5476c3)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>linux</productname>
+    <productname>linux-headers</productname>
     <productnumber>&linux-version;</productnumber>
     <address>&linux-url;</address>
Index: chapter06/pkgconfig.xml
===================================================================
--- chapter06/pkgconfig.xml	(revision 8176c9cb550aa6700950a2e96064eae50f2e7a98)
+++ chapter06/pkgconfig.xml	(revision 6070f516c5a137a643ed68bf6a467c4a6e5476c3)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>pkgconfig</productname>
+    <productname>pkg-config</productname>
     <productnumber>&pkgconfig-version;</productnumber>
     <address>&pkgconfig-url;</address>
Index: chapter07/bootscripts.xml
===================================================================
--- chapter07/bootscripts.xml	(revision 8176c9cb550aa6700950a2e96064eae50f2e7a98)
+++ chapter07/bootscripts.xml	(revision 6070f516c5a137a643ed68bf6a467c4a6e5476c3)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>lfs-bootscripts</productname>
+    <productname>bootscripts</productname>
     <productnumber>&lfs-bootscripts-version;</productnumber>
     <address>&lfs-bootscripts-url;</address>
Index: chapter08/kernel.xml
===================================================================
--- chapter08/kernel.xml	(revision 8176c9cb550aa6700950a2e96064eae50f2e7a98)
+++ chapter08/kernel.xml	(revision 6070f516c5a137a643ed68bf6a467c4a6e5476c3)
@@ -10,5 +10,5 @@
 
   <sect1info condition="script">
-    <productname>linux</productname>
+    <productname>kernel</productname>
     <productnumber>&linux-version;</productnumber>
     <address>&linux-url;</address>