Index: appendixa/utillinux-desc.sgml
===================================================================
--- appendixa/utillinux-desc.sgml	(revision 6370fa6cff0ec2a8ac8d50d1595ec9500f6631c9)
+++ appendixa/utillinux-desc.sgml	(revision 6370fa6cff0ec2a8ac8d50d1595ec9500f6631c9)
@@ -0,0 +1,545 @@
+<sect2>
+<title>Contents</title>
+
+<para>
+The Util-linux package contains the arch, dmesg, kill, more,
+mount, umount, agetty, blockdev, cfdisk, ctrlaltdel, elvtune, fdisk,
+fsck.minix, hwclock, kbdrate, losetup, mkfs, mkfs.bfs, mkfs.minix,
+mkswap, sfdisk, swapoff, swapon, cal, chkdupexe, col, colcrt, colrm,
+column, cytune, ddate, fdformat, getopt, hexdump, ipcrm, ipcs, logger,
+look, mcookie, namei, rename, renice, rev, script, setfdprm, setsid,
+setterm, ul, whereis, write, ramsize, rdev, readprofile, rootflags,
+swapdev, tunelp and vidmode programs.
+</para>
+
+</sect2>
+
+<sect2>
+<title>Description</title>
+
+<sect3>
+<title>arch</title>
+
+<para>
+arch prints the machine architecture.
+</para>
+
+</sect3>
+
+<sect3>
+<title>dmesg</title>
+
+<para>
+dmesg is used to examine or control the kernel ring buffer (boot
+messages from the kernel).
+</para>
+
+</sect3>
+
+<sect3>
+<title>kill</title>
+
+<para>
+kill sends a specified signal to the specified process.
+</para>
+
+</sect3>
+
+<sect3>
+<title>more</title>
+
+<para>
+more is a filter for paging through text one screenful at a time.
+</para>
+
+</sect3>
+
+<sect3>
+<title>mount</title>
+
+<para>
+mount mounts a filesystem from a device to a directory (mount point).
+</para>
+
+</sect3>
+
+<sect3>
+<title>umount</title>
+
+<para>
+umount unmounts a mounted filesystem.
+</para>
+
+</sect3>
+
+<sect3>
+<title>agetty</title>
+
+<para>
+agetty opens a tty port, prompts for a login name and invokes the
+/bin/login command.
+</para>
+
+</sect3>
+
+<sect3>
+<title>blockdev</title>
+
+<para>
+blockdev allows you to call block device ioctls from the command line
+</para>
+
+</sect3>
+
+<sect3>
+<title>cfdisk</title>
+
+<para>
+cfdisk is an libncurses based disk partition table manipulator.
+</para>
+
+</sect3>
+
+<sect3>
+<title>ctrlaltdel</title>
+
+<para>
+ctrlaltdel sets the function of the CTRL+ALT+DEL key combination (hard
+or soft reset).
+</para>
+
+</sect3>
+
+<sect3>
+<title>elvtune</title>
+
+<para>
+elvtune allows to tune the I/O elevator per blockdevice queue basis.
+</para>
+
+</sect3>
+
+<sect3>
+<title>fdisk</title>
+
+<para>
+fdisk is a disk partition table manipulator.
+</para>
+
+</sect3>
+
+<sect3>
+<title>fsck.minix</title>
+
+<para>
+fsck.minix performs a consistency check for the Linux MINIX filesystem.
+</para>
+
+</sect3>
+
+<sect3>
+<title>hwclock</title>
+
+<para>
+hwclock queries and sets the hardware clock (Also called the RTC or BIOS
+clock).
+</para>
+
+</sect3>
+
+<sect3>
+<title>kbdrate</title>
+
+<para>
+kbdrate resets the keyboard repeat rate and delay time.
+</para>
+
+</sect3>
+
+<sect3>
+<title>losetup</title>
+
+<para>
+losetup sets up and controls loop devices.
+</para>
+
+</sect3>
+
+<sect3>
+<title>mkfs</title>
+
+<para>
+mkfs builds a Linux filesystem on a device, usually a harddisk
+partition.
+</para>
+
+</sect3>
+
+<sect3>
+<title>mkfs.bfs</title>
+
+<para>
+mkfs.bfs creates a SCO bfs file system on a device, usually a harddisk
+partition.
+</para>
+
+</sect3>
+
+<sect3>
+<title>mkfs.minix</title>
+
+<para>
+mkfs.minix creates a Linux MINIX filesystem on a device, usually a
+harddisk partition.
+</para>
+
+</sect3>
+
+<sect3>
+<title>mkswap</title>
+
+<para>
+mkswap sets up a Linux swap area on a device or in a file.
+</para>
+
+</sect3>
+
+<sect3>
+<title>sfdisk</title>
+
+<para>
+sfdisk is a disk partition table manipulator.
+</para>
+
+</sect3>
+
+<sect3>
+<title>swapoff</title>
+
+<para>
+swapoff disables devices and files for paging an swapping.
+</para>
+
+</sect3>
+
+<sect3>
+<title>swapon</title>
+
+<para>
+swapon enables devices and files for paging and swapping.
+</para>
+
+</sect3>
+
+<sect3>
+<title>cal</title>
+
+<para>
+cal displays a simple calender.
+</para>
+
+</sect3>
+
+<sect3>
+<title>chkdupexe</title>
+
+<para>
+chkdupexe finds duplicate executables.
+</para>
+
+</sect3>
+
+<sect3>
+<title>col</title>
+
+<para>
+col filters reverse line feeds from input.
+</para>
+
+</sect3>
+
+<sect3>
+<title>colcrt</title>
+
+<para>
+colcrt filters nroff output for CRT previewing.
+</para>
+
+</sect3>
+
+<sect3>
+<title>colrm</title>
+
+<para>
+colrm removes columns from a file.
+</para>
+
+</sect3>
+
+<sect3>
+<title>column</title>
+
+<para>
+column columnates lists.
+</para>
+
+</sect3>
+
+<sect3>
+<title>cytune</title>
+
+<para>
+cytune queries and modifies the interruption threshold for the Cyclades
+driver.
+</para>
+
+</sect3>
+
+<sect3>
+<title>ddate</title>
+
+<para>
+ddate converts Gregorian dates to Discordian dates.
+</para>
+
+</sect3>
+
+<sect3>
+<title>fdformat</title>
+
+<para>
+fdformat low-level formats a floppy disk.
+</para>
+
+</sect3>
+
+<sect3>
+<title>getopt</title>
+
+<para>
+getops parses command options the same way as the getopt C command.
+</para>
+
+</sect3>
+
+<sect3>
+<title>hexdump</title>
+
+<para>
+hexdump displays specified files, or standard input, in a user specified
+format (ascii, decimal, hexadecimal, octal).
+</para>
+
+</sect3>
+
+<sect3>
+<title>ipcrm</title>
+
+<para>
+ipcrm removes a specified resource.
+</para>
+
+</sect3>
+
+<sect3>
+<title>ipcs</title>
+
+<para>
+ipcs provides information on ipc facilities.
+</para>
+
+</sect3>
+
+<sect3>
+<title>logger</title>
+
+<para>
+logger makes entries in the system log.
+</para>
+
+</sect3>
+
+<sect3>
+<title>look</title>
+
+<para>
+look displays lines beginning with a given string.
+</para>
+
+</sect3>
+
+<sect3>
+<title>mcookie</title>
+
+<para>
+mcookie generates magic cookies for xauth.
+</para>
+
+</sect3>
+
+<sect3>
+<title>namei</title>
+
+<para>
+namei follows a pathname until a terminal point is found.
+</para>
+
+</sect3>
+
+<sect3>
+<title>rename</title>
+
+<para>
+rename renames files.
+</para>
+
+</sect3>
+
+<sect3>
+<title>renice</title>
+
+<para>
+renice alters priority of running processes.
+</para>
+
+</sect3>
+
+<sect3>
+<title>rev</title>
+
+<para>
+rev reverses lines of a file.
+</para>
+
+</sect3>
+
+<sect3>
+<title>script</title>
+
+<para>
+script makes typescript of terminal session.
+</para>
+
+</sect3>
+
+<sect3>
+<title>setfdprm</title>
+
+<para>
+setfdprm sets user-provides floppy disk parameters.
+</para>
+
+</sect3>
+
+<sect3>
+<title>setsid</title>
+
+<para>
+setsid runs programs in a new session.
+</para>
+
+</sect3>
+
+<sect3>
+<title>setterm</title>
+
+<para>
+setterm sets terminal attributes.
+</para>
+
+</sect3>
+
+<sect3>
+<title>ul</title>
+
+<para>
+ul reads a file and translates occurences of underscores to the sequence
+which indicates underlining for the terminal in use.
+</para>
+
+</sect3>
+
+<sect3>
+<title>whereis</title>
+
+<para>
+whereis locates a binary, source and manual page for a command.
+</para>
+
+</sect3>
+
+<sect3>
+<title>write</title>
+
+<para>
+write sends a message to another user.
+</para>
+
+</sect3>
+
+<sect3>
+<title>ramsize</title>
+
+<para>
+ramsize queries and sets RAM disk size.
+</para>
+
+</sect3>
+
+<sect3>
+<title>rdev</title>
+
+<para>
+rdev queries and sets image root device, swap device, RAM disk size, or
+video mode.
+</para>
+
+</sect3>
+
+<sect3>
+<title>readprofile</title>
+
+<para>
+readprofile reads kernel profiling information.
+</para>
+
+</sect3>
+
+<sect3>
+<title>rootflags</title>
+
+<para>
+rootflags queries and sets extra information used when mounting root.
+</para>
+
+</sect3>
+
+<sect3>
+<title>swapdev</title>
+
+<para>
+swapdev queries and sets swap device.
+</para>
+
+</sect3>
+
+<sect3>
+<title>tunelp</title>
+
+<para>
+tunelp sets various paramters for the lp device.
+</para>
+
+</sect3>
+
+<sect3>
+<title>vidmode</title>
+
+<para>
+vidmode queries and sets the video mode.
+</para>
+
+</sect3>
+
+</sect2>
+