Index: appendices/dependencies.xml
===================================================================
--- appendices/dependencies.xml	(revision b551c5d6021f887e869d2084510fa03e0d297322)
+++ appendices/dependencies.xml	(revision 06610cefabc3abf7cf2504bab271224de52ab2b4)
@@ -4,4 +4,7 @@
   <!ENTITY % general-entities SYSTEM "../general.ent">
   %general-entities;
+  <!-- Convenient entity for "Systemd" or "Udev" -->
+  <!ENTITY systemd-udev "<phrase revision='systemd'>Systemd</phrase>
+                         <phrase revision='sysv'>Udev</phrase>">
 ]>
 
@@ -467,7 +470,5 @@
         <segtitle>&before;</segtitle>
         <seglistitem>
-          <seg>Bash, Diffutils, <phrase revision="sysv">Eudev, </phrase>
-          Findutils, <phrase revision="sysv">and </phrase>Man-DB<phrase
-          revision="systemd">, and Systemd</phrase></seg>
+          <seg>Bash, Diffutils, Findutils, Man-DB, and &systemd-udev;</seg>
         </seglistitem>
       </segmentedlist>
@@ -637,43 +638,4 @@
 
       <segmentedlist id="e2fsprogs-optdeps">
-        <segtitle>&external;</segtitle>
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-<!-- Begin Eudev dependency info -->
-  <bridgehead renderas="sect2" id="eudev-dep" revision="sysv">Eudev</bridgehead>
-
-      <segmentedlist id="eudev-depends" revision="sysv">
-        <segtitle>&dependencies;</segtitle>
-        <seglistitem>
-          <seg>Bash, Binutils, Coreutils, Gawk, GCC, Glibc, Grep, Gperf, Make,
-          Sed, and Util-linux</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist id="eudev-rundeps" revision="sysv">
-        <segtitle>&runtime;</segtitle>
-        <seglistitem>
-          <seg>Glibc, Kmod, Xz, Util-linux, and Zlib.</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist id="eudev-testdeps" revision="sysv">
-        <segtitle>&testsuites;</segtitle>
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist id="eudev-before" revision="sysv">
-        <segtitle>&before;</segtitle>
-        <seglistitem>
-          <seg>None</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist id="eudev-optdeps" revision="sysv">
         <segtitle>&external;</segtitle>
         <seglistitem>
@@ -1556,5 +1518,5 @@
         <segtitle>&before;</segtitle>
         <seglistitem>
-          <seg>Systemd</seg>
+          <seg>&systemd-udev;</seg>
         </seglistitem>
       </segmentedlist>
@@ -1634,6 +1596,5 @@
         <segtitle>&before;</segtitle>
         <seglistitem>
-          <seg><phrase revision="sysv">Eudev</phrase>
-          <phrase revision="systemd">Systemd</phrase></seg>
+          <seg>&systemd-udev;</seg>
         </seglistitem>
       </segmentedlist>
@@ -1914,7 +1875,5 @@
         <segtitle>&before;</segtitle>
         <seglistitem>
-          <seg>GCC, Perl, Python,
-          <phrase revision='sysv'>and </phrase>Shadow<phrase
-          revision='systemd'>, and Systemd</phrase></seg>
+          <seg>GCC, Perl, Python, Shadow, and &systemd-udev;</seg>
         </seglistitem>
       </segmentedlist>
@@ -2237,8 +2196,5 @@
         <segtitle>&before;</segtitle>
         <seglistitem>
-          <seg>
-            <phrase revision='sysv'>None</phrase>
-            <phrase revision='systemd'>Systemd</phrase>
-          </seg>
+          <seg>&systemd-udev;</seg>
         </seglistitem>
       </segmentedlist>
@@ -2439,5 +2395,5 @@
         <segtitle>&before;</segtitle>
         <seglistitem>
-          <seg>Coreutils, Kmod, and Linux</seg>
+          <seg>Coreutils, Kmod, Linux, and &systemd-udev;</seg>
         </seglistitem>
       </segmentedlist>
@@ -2561,5 +2517,5 @@
           <seg><phrase revision='systemd'>D-Bus, </phrase>E2fsprogs,
           IProute2, Kmod, Man-DB, Procps-ng, Python,
-		  <phrase revision='systemd'>Systemd, </phrase>and Util-linux</seg>
+		  &systemd-udev;, and Util-linux</seg>
         </seglistitem>
       </segmentedlist>
@@ -2867,7 +2823,7 @@
         <segtitle>&dependencies;</segtitle>
         <seglistitem>
-         <seg>Acl, Attr, Bash, Binutils, Coreutils, Diffutils, Expat, Gawk,
+         <seg>Acl, Bash, Binutils, Coreutils, Diffutils, Gawk,
          GCC, Glibc, Gperf, Grep, Jinja2, Libcap, Libxcrypt, Meson,
-         Pkgconf, Sed, Util-linux, and Zstd</seg>
+         OpenSSL, Pkgconf, Sed, Util-linux, and Zstd</seg>
         </seglistitem>
       </segmentedlist>
@@ -2876,5 +2832,6 @@
         <segtitle>&runtime;</segtitle>
         <seglistitem>
-          <seg>Acl, Attr, Glibc, Libcap, Libxcrypt, and Util-linux</seg>
+          <seg>Acl, Glibc, Libcap, Libxcrypt, OpenSSL, Util-linux, Xz,
+          Zlib, and Zstd</seg>
         </seglistitem>
       </segmentedlist>
@@ -3105,4 +3062,44 @@
       </segmentedlist>
 
+<!-- Begin Udev dependency info -->
+  <bridgehead renderas="sect2" id="udev-dep" revision="sysv">Udev</bridgehead>
+
+      <segmentedlist id="udev-depends" revision="sysv">
+        <segtitle>&dependencies;</segtitle>
+        <seglistitem>
+         <seg>Acl, Bash, Binutils, Coreutils, Diffutils, Gawk,
+         GCC, Glibc, Gperf, Grep, Jinja2, Libcap, Libxcrypt, Meson,
+         OpenSSL, Pkgconf, Sed, Util-linux, and Zstd</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist id="udev-rundeps" revision="sysv">
+        <segtitle>&runtime;</segtitle>
+        <seglistitem>
+          <seg>Acl, Glibc, Libcap, OpenSSL, and Util-linux</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist id="udev-testdeps" revision="sysv">
+        <segtitle>&testsuites;</segtitle>
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist id="udev-before" revision="sysv">
+        <segtitle>&before;</segtitle>
+        <seglistitem>
+          <seg>Util-linux</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist id="udev-optdeps" revision="sysv">
+        <segtitle>&external;</segtitle>
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Util-linux dependency info -->
   <bridgehead renderas="sect2" id="util-linux-dep">Util-linux</bridgehead>
@@ -3111,8 +3108,7 @@
         <segtitle>&dependencies;</segtitle>
         <seglistitem>
-          <seg>Bash, Binutils, Coreutils, Diffutils,
-          <phrase revision="sysv">Eudev, </phrase>File, Findutils, Gawk,
+          <seg>Bash, Binutils, Coreutils, Diffutils, File, Findutils, Gawk,
           GCC, Gettext, Glibc, Grep, Make, Ncurses, Pkgconf, Sed,
-          <phrase revision="systemd">Systemd, </phrase>and Zlib</seg>
+          &systemd-udev;, and Zlib</seg>
         </seglistitem>
       </segmentedlist>
@@ -3121,5 +3117,5 @@
         <segtitle>&runtime;</segtitle>
         <seglistitem>
-          <seg>Glibc, Ncurses, Readline, and Zlib</seg>
+          <seg>Glibc, Ncurses, Readline, &systemd-udev;, and Zlib</seg>
         </seglistitem>
       </segmentedlist>
@@ -3309,7 +3305,5 @@
         <segtitle>&before;</segtitle>
         <seglistitem>
-          <seg><phrase revision="sysv">Eudev, </phrase>File, GRUB, Kmod,
-          Libelf, <phrase revision="sysv">and </phrase>Man-DB<phrase
-          revision="systemd">, and Systemd</phrase></seg>
+          <seg>File, GRUB, Kmod, Libelf, Man-DB, and &systemd-udev;</seg>
         </seglistitem>
       </segmentedlist>
@@ -3387,6 +3381,5 @@
         <segtitle>&before;</segtitle>
         <seglistitem>
-          <seg><phrase revision='sysv'>GCC and Libelf</phrase>
-          <phrase revision='systemd'>GCC, Libelf, and Systemd</phrase></seg>
+          <seg>GCC, Libelf, and &systemd-udev;</seg>
         </seglistitem>
       </segmentedlist>