Index: appendices/dependencies.xml
===================================================================
--- appendices/dependencies.xml	(revision 7514f44283d322249e84574b2bdcad6335c64db0)
+++ appendices/dependencies.xml	(revision 6708e6ace1dcc58065332e83219d043be1151c48)
@@ -12,22 +12,29 @@
   <title>Dependencies</title>
 
-  <para>Every package built in LFS relies on one or more other packages
-  in order to build and install properly. Some packages even participate
-  in circular dependencies, that is, the first package depends on the second
-  which in turn depends on the first. Because of these dependencies, the
-  order in which packages are built in LFS is very important. The purpose
-  of this page is to document the dependencies of each package built in LFS.</para>
-
-  <para>For each package we build, we have listed three types of dependencies.
-  The first lists what other packages need to be available in order to compile
-  and install the package in question. The second lists what packages, in
-  addition to those on the first list, need to be available in order to run the
-  testsuites. The last list of dependencies are packages that require this
-  package to be built and installed in its final location before they are built
-  and installed. In most cases, this is because these packages will hardcode
-  paths to binaries within their scripts. If not built in a certain order,
-  this could result in paths of /tools/bin/[binary] being placed inside
-  scripts installed to the final system. This is obviously not desirable.
-  </para>
+  <para>Every package built in LFS relies on one or more other packages in
+  order to build and install properly. Some packages even participate in
+  circular dependencies, that is, the first package depends on the second which
+  in turn depends on the first. Because of these dependencies, the order in
+  which packages are built in LFS is very important. The purpose of this page
+  is to document the dependencies of each package built in LFS.</para>
+
+  <para>For each package we build, we have listed three, and sometimes four,
+  types of dependencies.  The first lists what other packages need to be
+  available in order to compile and install the package in question. The second
+  lists what packages, in addition to those on the first list, need to be
+  available in order to run the testsuites. The third list of dependencies are
+  packages that require this package to be built and installed in its final
+  location before they are built and installed. In most cases, this is because
+  these packages will hardcode paths to binaries within their scripts. If not
+  built in a certain order, this could result in paths of /tools/bin/[binary]
+  being placed inside scripts installed to the final system. This is obviously
+  not desirable.</para>
+  
+  <para>The last list of dependencies are optional packages that are not
+  addressed in LFS, but could be useful to the user.  These packages may have
+  additional mandatory or optional dependencies of their own.  For these
+  dependencies, the recommeded practice is to install them after completion of
+  the LFS book and then go back an rebuild the LFS package.  In several cases,
+  reinstallation is addressed in BLFS.</para>
 
 <!-- Begin Autoconf dependency info -->
@@ -58,4 +65,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>Emacs</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Automake dependency info -->
   <bridgehead renderas="sect2" id="automake-dep">Automake</bridgehead>
@@ -75,11 +90,18 @@
         <seglistitem>
           <seg>Binutils, Bison, Bzip2, DejaGNU, Diffutils, Expect, Findutils,
-          Flex, GCC, Gettext, Gzip, Libtool, and Tar. Can also use several
-          other packages that are not installed in LFS.</seg>
-        </seglistitem>
-      </segmentedlist>
-
-      <segmentedlist>
-        <segtitle>&before;</segtitle>
+          Flex, GCC, Gettext, Gzip, Libtool, and Tar.</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&before;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
 
         <seglistitem>
@@ -116,4 +138,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>Xorg</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Binutils dependency info -->
   <bridgehead renderas="sect2" id="binutils-dep">Binutils</bridgehead>
@@ -144,4 +174,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Bison dependency info -->
   <bridgehead renderas="sect2" id="bison-dep">Bison</bridgehead>
@@ -172,4 +210,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>Doxygen (testsuite)</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Bzip2 dependency info -->
   <bridgehead renderas="sect2" id="bzip2-dep">Bzip2</bridgehead>
@@ -200,4 +246,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Coreutils dependency info -->
   <bridgehead renderas="sect2" id="coreutils-dep">Coreutils</bridgehead>
@@ -228,4 +282,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>Perl Expect and IO:Tty modules (for testsuite)</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin DejaGNU dependency info -->
   <bridgehead renderas="sect2" id="dejagnu-dep">DejaGNU</bridgehead>
@@ -255,4 +317,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Diffutils dependency info -->
   <bridgehead renderas="sect2" id="diffutils-dep">Diffutils</bridgehead>
@@ -283,4 +353,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Expect dependency info -->
   <bridgehead renderas="sect2" id="expect-dep">Expect</bridgehead>
@@ -311,4 +389,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin E2fsprogs dependency info -->
   <bridgehead renderas="sect2" id="e2fsprogs-dep">E2fsprogs</bridgehead>
@@ -339,4 +425,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin File dependency info -->
   <bridgehead renderas="sect2" id="file-dep">File</bridgehead>
@@ -367,4 +461,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Findutils dependency info -->
   <bridgehead renderas="sect2" id="findutils-dep">Findutils</bridgehead>
@@ -395,4 +497,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Flex dependency info -->
   <bridgehead renderas="sect2" id="flex-dep">Flex</bridgehead>
@@ -423,4 +533,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Gawk dependency info -->
   <bridgehead renderas="sect2" id="gawk-dep">Gawk</bridgehead>
@@ -445,4 +563,12 @@
       <segmentedlist>
         <segtitle>&before;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
 
         <seglistitem>
@@ -480,4 +606,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>GNAT</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin GDBM dependency info -->
   <bridgehead renderas="sect2" id="gdbm">GDBM</bridgehead>
@@ -507,4 +641,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Gettext dependency info -->
   <bridgehead renderas="sect2" id="gettext-dep">Gettext</bridgehead>
@@ -535,4 +677,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Glibc dependency info -->
   <bridgehead renderas="sect2" id="glibc-dep">Glibc</bridgehead>
@@ -563,4 +713,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin GMP dependency info -->
   <bridgehead renderas="sect2" id="gmp-dep">GMP</bridgehead>
@@ -591,4 +749,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Grep dependency info -->
   <bridgehead renderas="sect2" id="grep-dep">Grep</bridgehead>
@@ -619,4 +785,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>Pcre, Xorg, and CUPS</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Groff dependency info -->
   <bridgehead renderas="sect2" id="groff-dep">Groff</bridgehead>
@@ -647,4 +821,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>GPL Ghostscript</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin GRUB dependency info -->
   <bridgehead renderas="sect2" id="grub-dep">GRUB</bridgehead>
@@ -675,4 +857,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Gzip dependency info -->
   <bridgehead renderas="sect2" id="gzip-dep">Gzip</bridgehead>
@@ -703,4 +893,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Iana-Etc dependency info -->
   <bridgehead renderas="sect2" id="iana-etc-dep">Iana-Etc</bridgehead>
@@ -730,4 +928,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Inetutils dependency info -->
   <bridgehead renderas="sect2" id="inetutils-dep">Inetutils</bridgehead>
@@ -738,5 +944,5 @@
         <seglistitem>
          <seg>Bash, Binutils, Coreutils, GCC, Glibc, Grep, Make, Ncurses,
-         Patch, Sed, and Texinfo</seg>
+         Patch, Sed, Texinfo, and Zlib</seg>
         </seglistitem>
       </segmentedlist>
@@ -755,4 +961,12 @@
         <seglistitem>
           <seg>Tar</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
         </seglistitem>
       </segmentedlist>
@@ -786,4 +1000,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Kbd dependency info -->
   <bridgehead renderas="sect2" id="kbd-dep">Kbd</bridgehead>
@@ -814,4 +1036,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Less dependency info -->
   <bridgehead renderas="sect2" id="less-dep">Less</bridgehead>
@@ -842,4 +1072,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>Pcre</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Libtool dependency info -->
   <bridgehead renderas="sect2" id="libtool-dep">Libtool</bridgehead>
@@ -870,4 +1108,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Linux Kernel dependency info -->
   <bridgehead renderas="sect2" id="linux-dep">Linux Kernel</bridgehead>
@@ -898,4 +1144,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin M4 dependency info -->
   <bridgehead renderas="sect2" id="m4-dep">M4</bridgehead>
@@ -926,4 +1180,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Make dependency info -->
   <bridgehead renderas="sect2" id="make-dep">Make</bridgehead>
@@ -954,4 +1216,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Man-DB dependency info -->
   <bridgehead renderas="sect2" id="man-db-dep">Man-DB</bridgehead>
@@ -982,4 +1252,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Man-Pages dependency info -->
   <bridgehead renderas="sect2" id="man-pages-dep">Man-Pages</bridgehead>
@@ -1009,4 +1287,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Module-Init-Tools dependency info -->
   <bridgehead renderas="sect2" id="module-init-tools-dep">Module-Init-Tools</bridgehead>
@@ -1037,4 +1323,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin MPFR dependency info -->
   <bridgehead renderas="sect2" id="mpfr-dep">MPFR</bridgehead>
@@ -1065,4 +1359,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Ncurses dependency info -->
   <bridgehead renderas="sect2" id="ncurses-dep">Ncurses</bridgehead>
@@ -1094,4 +1396,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Patch dependency info -->
   <bridgehead renderas="sect2" id="patch-dep">Patch</bridgehead>
@@ -1121,4 +1431,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Perl dependency info -->
   <bridgehead renderas="sect2" id="perl-dep">Perl</bridgehead>
@@ -1149,4 +1467,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Pkg-config dependency info -->
   <bridgehead renderas="sect2" id="pkg-config-dep">Pkg-config</bridgehead>
@@ -1177,4 +1503,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Procps dependency info -->
   <bridgehead renderas="sect2" id="procps-dep">Procps</bridgehead>
@@ -1204,4 +1538,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Psmisc dependency info -->
   <bridgehead renderas="sect2" id="psmisc-dep">Psmisc</bridgehead>
@@ -1232,4 +1574,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Readline dependency info -->
   <bridgehead renderas="sect2" id="readline-dep">Readline</bridgehead>
@@ -1260,4 +1610,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Sed dependency info -->
   <bridgehead renderas="sect2" id="sed-dep">Sed</bridgehead>
@@ -1288,4 +1646,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>Cracklib</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Shadow dependency info -->
   <bridgehead renderas="sect2" id="shadow-dep">Shadow</bridgehead>
@@ -1316,4 +1682,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Sysklogd dependency info -->
   <bridgehead renderas="sect2" id="sysklogd-dep">Sysklogd</bridgehead>
@@ -1343,4 +1717,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Sysvinit dependency info -->
   <bridgehead renderas="sect2" id="sysvinit-dep">Sysvinit</bridgehead>
@@ -1370,4 +1752,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Tar dependency info -->
   <bridgehead renderas="sect2" id="tar-dep">Tar</bridgehead>
@@ -1398,4 +1788,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Tcl dependency info -->
   <bridgehead renderas="sect2" id="tcl-dep">Tcl</bridgehead>
@@ -1426,4 +1824,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Texinfo dependency info -->
   <bridgehead renderas="sect2" id="texinfo-dep">Texinfo</bridgehead>
@@ -1454,4 +1860,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Udev dependency info -->
   <bridgehead renderas="sect2" id="udev-dep">Udev</bridgehead>
@@ -1482,4 +1896,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Util-linux-ng dependency info -->
   <bridgehead renderas="sect2" id="util-linux-dep">Util-linux-ng</bridgehead>
@@ -1510,4 +1932,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Vim dependency info -->
   <bridgehead renderas="sect2" id="vim-dep">Vim</bridgehead>
@@ -1538,4 +1968,12 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>Xorg, GTK+2, LessTif, Python, Tcl, Ruby, and GPM</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Zlib dependency info -->
   <bridgehead renderas="sect2" id="zlib-dep">Zlib</bridgehead>
@@ -1565,3 +2003,11 @@
       </segmentedlist>
 
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 </appendix>