Index: bootscripts/ChangeLog
===================================================================
--- bootscripts/ChangeLog	(revision 8e1baccc0fcb51ca8c0da0751afd9a6ffce425ad)
+++ bootscripts/ChangeLog	(revision 6903d5eff32738868d4ada9a7749820f3e1aafb2)
@@ -1,2 +1,5 @@
+2019-09-02 DJ Lucas <dj@linuxfromscratch.org>
+   * Update facilities in LSB headers
+
 2015-06-24 Bruce Dubbs <bdubbs@linuxfromscratch.org>
    * Unmount network file systems before bringing down the network
Index: bootscripts/lfs/init.d/checkfs
===================================================================
--- bootscripts/lfs/init.d/checkfs	(revision 8e1baccc0fcb51ca8c0da0751afd9a6ffce425ad)
+++ bootscripts/lfs/init.d/checkfs	(revision 6903d5eff32738868d4ada9a7749820f3e1aafb2)
@@ -28,5 +28,5 @@
 ### BEGIN INIT INFO
 # Provides:            checkfs
-# Required-Start:      udev swap $time
+# Required-Start:      udev swap
 # Should-Start:
 # Required-Stop:
Index: bootscripts/lfs/init.d/console
===================================================================
--- bootscripts/lfs/init.d/console	(revision 8e1baccc0fcb51ca8c0da0751afd9a6ffce425ad)
+++ bootscripts/lfs/init.d/console	(revision 6903d5eff32738868d4ada9a7749820f3e1aafb2)
@@ -16,6 +16,6 @@
 ### BEGIN INIT INFO
 # Provides:            console
-# Required-Start:
-# Should-Start:        $local_fs
+# Required-Start:      $local_fs
+# Should-Start:
 # Required-Stop:
 # Should-Stop:
Index: bootscripts/lfs/init.d/localnet
===================================================================
--- bootscripts/lfs/init.d/localnet	(revision 8e1baccc0fcb51ca8c0da0751afd9a6ffce425ad)
+++ bootscripts/lfs/init.d/localnet	(revision 6903d5eff32738868d4ada9a7749820f3e1aafb2)
@@ -15,6 +15,6 @@
 ### BEGIN INIT INFO
 # Provides:            localnet
-# Required-Start:      $local_fs
-# Should-Start:
+# Required-Start:
+# Should-Start:        modules
 # Required-Stop:
 # Should-Stop:
Index: bootscripts/lfs/init.d/modules
===================================================================
--- bootscripts/lfs/init.d/modules	(revision 8e1baccc0fcb51ca8c0da0751afd9a6ffce425ad)
+++ bootscripts/lfs/init.d/modules	(revision 6903d5eff32738868d4ada9a7749820f3e1aafb2)
@@ -15,5 +15,5 @@
 ### BEGIN INIT INFO
 # Provides:            modules
-# Required-Start:      mountvirtfs sysctl
+# Required-Start:      mountvirtfs
 # Should-Start:
 # Required-Stop:
Index: bootscripts/lfs/init.d/mountfs
===================================================================
--- bootscripts/lfs/init.d/mountfs	(revision 8e1baccc0fcb51ca8c0da0751afd9a6ffce425ad)
+++ bootscripts/lfs/init.d/mountfs	(revision 6903d5eff32738868d4ada9a7749820f3e1aafb2)
@@ -16,5 +16,5 @@
 # Provides:            $local_fs
 # Required-Start:      udev checkfs
-# Should-Start:
+# Should-Start:        modules
 # Required-Stop:       swap
 # Should-Stop:
Index: bootscripts/lfs/init.d/mountvirtfs
===================================================================
--- bootscripts/lfs/init.d/mountvirtfs	(revision 8e1baccc0fcb51ca8c0da0751afd9a6ffce425ad)
+++ bootscripts/lfs/init.d/mountvirtfs	(revision 6903d5eff32738868d4ada9a7749820f3e1aafb2)
@@ -15,5 +15,5 @@
 ### BEGIN INIT INFO
 # Provides:            mountvirtfs
-# Required-Start:
+# Required-Start:      $first
 # Should-Start:
 # Required-Stop:
Index: bootscripts/lfs/init.d/sysctl
===================================================================
--- bootscripts/lfs/init.d/sysctl	(revision 8e1baccc0fcb51ca8c0da0751afd9a6ffce425ad)
+++ bootscripts/lfs/init.d/sysctl	(revision 6903d5eff32738868d4ada9a7749820f3e1aafb2)
@@ -18,5 +18,5 @@
 # Provides:            sysctl
 # Required-Start:      mountvirtfs
-# Should-Start:
+# Should-Start:        console
 # Required-Stop:
 # Should-Stop:
Index: bootscripts/lfs/init.d/sysklogd
===================================================================
--- bootscripts/lfs/init.d/sysklogd	(revision 8e1baccc0fcb51ca8c0da0751afd9a6ffce425ad)
+++ bootscripts/lfs/init.d/sysklogd	(revision 6903d5eff32738868d4ada9a7749820f3e1aafb2)
@@ -17,8 +17,8 @@
 # Required-Start:      localnet
 # Should-Start:
-# Required-Stop:       $local_fs sendsignals
-# Should-Stop:
-# Default-Start:       3 4 5
-# Default-Stop:        0 1 2 6
+# Required-Stop:       $local_fs
+# Should-Stop:         sendsignals
+# Default-Start:       2 3 4 5
+# Default-Stop:        0 1 6
 # Short-Description:   Starts kernel and system log daemons.
 # Description:         Starts kernel and system log daemons.
Index: bootscripts/lfs/init.d/udev
===================================================================
--- bootscripts/lfs/init.d/udev	(revision 8e1baccc0fcb51ca8c0da0751afd9a6ffce425ad)
+++ bootscripts/lfs/init.d/udev	(revision 6903d5eff32738868d4ada9a7749820f3e1aafb2)
@@ -15,5 +15,5 @@
 ### BEGIN INIT INFO
 # Provides:            udev $time
-# Required-Start:
+# Required-Start:      localnet
 # Should-Start:        modules
 # Required-Stop:
Index: bootscripts/lfs/init.d/udev_retry
===================================================================
--- bootscripts/lfs/init.d/udev_retry	(revision 8e1baccc0fcb51ca8c0da0751afd9a6ffce425ad)
+++ bootscripts/lfs/init.d/udev_retry	(revision 6903d5eff32738868d4ada9a7749820f3e1aafb2)
@@ -17,5 +17,5 @@
 # Provides:            udev_retry
 # Required-Start:      udev
-# Should-Start:        $local_fs
+# Should-Start:        $local_fs modules
 # Required-Stop:
 # Should-Stop:
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 8e1baccc0fcb51ca8c0da0751afd9a6ffce425ad)
+++ chapter01/changelog.xml	(revision 6903d5eff32738868d4ada9a7749820f3e1aafb2)
@@ -48,5 +48,5 @@
       <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Update to linux-5.2.4. Fixes
+          <para>[bdubbs] - Update to linux-5.2.11. Fixes
           <ulink url="&lfs-ticket-root;4504">#4517</ulink>.</para>
         </listitem>
@@ -62,4 +62,9 @@
           <para>[bdubbs] - Update to findutils-4.7.0. Fixes
           <ulink url="&lfs-ticket-root;4520">#4520</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to LFS-Bootscripts-20190902 - correct LSB
+          dependency information in bootscripts and update standards page for
+          new LSB-Tools package.</para>
         </listitem>
       </itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision 8e1baccc0fcb51ca8c0da0751afd9a6ffce425ad)
+++ packages.ent	(revision 6903d5eff32738868d4ada9a7749820f3e1aafb2)
@@ -381,5 +381,5 @@
 <!ENTITY less-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20190524">      <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20190902">      <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">        
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.xz">
Index: prologue/standards.xml
===================================================================
--- prologue/standards.xml	(revision 8e1baccc0fcb51ca8c0da0751afd9a6ffce425ad)
+++ prologue/standards.xml	(revision 6903d5eff32738868d4ada9a7749820f3e1aafb2)
@@ -107,6 +107,6 @@
         <term><emphasis>LSB Core:</emphasis></term>
         <listitem>
-          <para>At, Batch (a part of At), Cpio, Ed, Fcrontab, Initd-tools,
-          Lsb_release, NSPR, NSS, PAM, Pax, Sendmail (or Postfix or Exim), time
+          <para>At, Batch (a part of At), Cpio, Ed, Fcrontab, LSB-Tools, NSPR,
+          NSS, PAM, Pax, Sendmail (or Postfix or Exim), time
           </para>
         </listitem>