Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 5d65ab9154a8817af5c4c00c19af8a2a37befa0d)
+++ chapter01/changelog.xml	(revision 6934b62fcfd219a322c17abf4b18a0663d4f3ed9)
@@ -36,4 +36,38 @@
     </listitem>
 -->
+    <listitem>
+      <para>2016-04-04</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to linux-4.5. Fixes
+          <ulink url="&lfs-ticket-root;3903">#3903</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to grep-2.24. Fixes
+          <ulink url="&lfs-ticket-root;3905">#3905</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to expat-2.1.1. Fixes
+          <ulink url="&lfs-ticket-root;3907">#3907</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tzdata-2016c. Fixes
+          <ulink url="&lfs-ticket-root;3909">#3909</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iproute2-4.5.0. Fixes
+          <ulink url="&lfs-ticket-root;3910">#3910</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-4.05. Fixes
+          <ulink url="&lfs-ticket-root;3911">#3911</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gzip-1.7. Fixes
+          <ulink url="&lfs-ticket-root;3913">#3913</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>2016-03-13</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 5d65ab9154a8817af5c4c00c19af8a2a37befa0d)
+++ chapter01/whatsnew.xml	(revision 6934b62fcfd219a322c17abf4b18a0663d4f3ed9)
@@ -68,7 +68,7 @@
       <para>E2fsprogs &e2fsprogs-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Expat-&expat-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Expect &expect-version;</para>
@@ -104,7 +104,7 @@
       <para>Gperf-&gperf-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Grep &grep-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Groff &groff-version;</para>
@@ -113,7 +113,7 @@
       <para>GRUB &grub-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Gzip &gzip-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>IANA-Etc &iana-etc-version;</para>
@@ -125,7 +125,7 @@
       <para>Intltool-&intltool-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>IPRoute2 &iproute2-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Kbd &kbd-version;</para>
@@ -161,7 +161,7 @@
       <para>Man-DB &man-db-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Man-pages &man-pages-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>MPC &mpc-version;</para>
@@ -212,7 +212,7 @@
       <para>Texinfo &texinfo-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Tzdata &tzdata-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Util-Linux &util-linux-version;</para>
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision 5d65ab9154a8817af5c4c00c19af8a2a37befa0d)
+++ chapter06/glibc.xml	(revision 6934b62fcfd219a322c17abf4b18a0663d4f3ed9)
@@ -132,4 +132,10 @@
         systems where the CPU is not a relatively new Intel or
         AMD processor.</para>
+      </listitem>
+
+      <listitem>
+        <para>The
+        <emphasis>nptl/tst-thread-affinity-{pthread,pthread2,sched}</emphasis>
+        tests may fail for reasons that have not been determined.  </para>
       </listitem>
 <!--
Index: chapter06/inetutils.xml
===================================================================
--- chapter06/inetutils.xml	(revision 5d65ab9154a8817af5c4c00c19af8a2a37befa0d)
+++ chapter06/inetutils.xml	(revision 6934b62fcfd219a322c17abf4b18a0663d4f3ed9)
@@ -110,9 +110,9 @@
 
 <screen><userinput remap="test">make check</userinput></screen>
-<!--
+
     <para>One test, <emphasis>libls.sh</emphasis>, is known to fail due to hard
     coding of some support program paths.  All tests pass if the tests are
     rerun at the end of Chapter 6.</para>
--->
+
     <para>Install the package:</para>
 
Index: chapter06/iproute2.xml
===================================================================
--- chapter06/iproute2.xml	(revision 5d65ab9154a8817af5c4c00c19af8a2a37befa0d)
+++ chapter06/iproute2.xml	(revision 6934b62fcfd219a322c17abf4b18a0663d4f3ed9)
@@ -55,4 +55,9 @@
 rm -v doc/arpd.sgml</userinput></screen>
 
+    <para>It is also necessary to disable building one module that 
+    requires <ulink url="&blfs-book;postlfs/iptables.html"/>.</para>
+
+<screen><userinput remap="pre">sed -i 's/m_ipt.o//' tc/Makefile</userinput></screen>
+
     <para>Compile the package:</para>
 
Index: general.ent
===================================================================
--- general.ent	(revision 5d65ab9154a8817af5c4c00c19af8a2a37befa0d)
+++ general.ent	(revision 6934b62fcfd219a322c17abf4b18a0663d4f3ed9)
@@ -1,8 +1,8 @@
-<!ENTITY version         "SVN-20160313">
+<!ENTITY version         "SVN-20160404">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book;. Change to x.y for release 
                                       but not -rc releases -->
-<!ENTITY releasedate     "March 13, 2016">
+<!ENTITY releasedate     "April 4, 2016">
 <!ENTITY copyrightdate   "1999-2016"><!-- jhalfs needs a literal dash, not &ndash; -->
-<!ENTITY milestone       "7.9">
+<!ENTITY milestone       "7.10">
 <!ENTITY generic-version "development"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 5d65ab9154a8817af5c4c00c19af8a2a37befa0d)
+++ packages.ent	(revision 6934b62fcfd219a322c17abf4b18a0663d4f3ed9)
@@ -143,8 +143,8 @@
 <!ENTITY eudev-ch6-sbu "0.2 SBU">
 
-<!ENTITY expat-version "2.1.0">
-<!ENTITY expat-size "552 KB">
-<!ENTITY expat-url "&sourceforge;expat/expat-&expat-version;.tar.gz">
-<!ENTITY expat-md5 "dd7dab7a5fea97d2a6a43f511449b7cd">
+<!ENTITY expat-version "2.1.1">
+<!ENTITY expat-size "396 KB">
+<!ENTITY expat-url "&sourceforge;expat/expat-&expat-version;.tar.bz2">
+<!ENTITY expat-md5 "7380a64a8e3a9d66a9887b01d0d7ea81">
 <!ENTITY expat-home "http://expat.sourceforge.net/">
 <!ENTITY expat-ch6-du "6.6 MB">
@@ -258,8 +258,8 @@
 <!ENTITY gperf-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY grep-version "2.23">
-<!ENTITY grep-size "1,287 KB">
+<!ENTITY grep-version "2.24">
+<!ENTITY grep-size "1,291 KB">
 <!ENTITY grep-url "&gnu;grep/grep-&grep-version;.tar.xz">
-<!ENTITY grep-md5 "f46aa9d0d2577b9212a104348a286787">
+<!ENTITY grep-md5 "f1c980134c04692a90078e87283074b6">
 <!ENTITY grep-home "&gnu-software;grep/">
 <!ENTITY grep-ch5-du "18.9 MB">
@@ -284,8 +284,8 @@
 <!ENTITY grub-ch6-sbu "0.8 SBU">
 
-<!ENTITY gzip-version "1.6">
-<!ENTITY gzip-size "712 KB">
+<!ENTITY gzip-version "1.7">
+<!ENTITY gzip-size "747 KB">
 <!ENTITY gzip-url "&gnu;gzip/gzip-&gzip-version;.tar.xz">
-<!ENTITY gzip-md5 "da981f86677d58a106496e68de6f8995">
+<!ENTITY gzip-md5 "d9ae97206a703a20e6c1c868deb3eb47">
 <!ENTITY gzip-home "&gnu-software;gzip/">
 <!ENTITY gzip-ch5-du "9.9 MB">
@@ -318,8 +318,8 @@
 <!ENTITY intltool-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "4.4.0">
-<!ENTITY iproute2-size "517 KB">
+<!ENTITY iproute2-version "4.5.0">
+<!ENTITY iproute2-size "542 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "d762653ec3e1ab0d4a9689e169ca184f">
+<!ENTITY iproute2-md5 "b9ee1cbba7e20e04dfdd4b3055181955">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-ch6-du "9.8 MB">
@@ -383,11 +383,11 @@
 
 <!ENTITY linux-major-version "4">
-<!ENTITY linux-minor-version "4">
-<!ENTITY linux-patch-version "4">
-<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!-- <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
-<!ENTITY linux-size "85,262 KB">
+<!ENTITY linux-minor-version "5">
+<!ENTITY linux-patch-version "0">
+<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">-->
+<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">
+<!ENTITY linux-size "85,304 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "73d1835cfb6dd348d87c8c2413190c21">
+<!ENTITY linux-md5 "a60d48eee08ec0536d5efb17ca819aef">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is
@@ -430,8 +430,8 @@
 <!ENTITY man-db-ch6-sbu "0.4 SBU">
 
-<!ENTITY man-pages-version "4.04">
-<!ENTITY man-pages-size "1,393 KB">
+<!ENTITY man-pages-version "4.05">
+<!ENTITY man-pages-size "1,419 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "c20326ff9687f3ded1c24aa319a3880d">
+<!ENTITY man-pages-md5 "9c32c8487d753f5894f6fba425b12add">
 <!ENTITY man-pages-home "http://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-ch6-du "26 MB">
@@ -579,8 +579,8 @@
 <!ENTITY texinfo-ch6-sbu "0.5 SBU">
 
-<!ENTITY tzdata-version "2016a">
-<!ENTITY tzdata-size "296 KB">
+<!ENTITY tzdata-version "2016c">
+<!ENTITY tzdata-size "302 KB">
 <!ENTITY tzdata-url "http://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "0d3123eb1b453ec0620822bd65be4c42">
+<!ENTITY tzdata-md5 "0330ccd16140d3b6438a18dae9b34b93">
 <!ENTITY tzdata-home "http://www.iana.org/time-zones">
 