Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision e1c5a01d954726a6883cc8dad74db51a9f78e60f)
+++ chapter01/changelog.xml	(revision 6935adeafebc5d2543915977db93f53be6a8157c)
@@ -43,548 +43,9 @@
     appropriate for the entry or if needed the entire day's listitem.
 -->
-   <listitem>
-      <para>2016-08-22</para>
+    <listitem>
+      <para>2016-09-07</para>
       <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Release LFS-7.10-rc1.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.7.2. Fixes
-          <ulink url="&lfs-ticket-root;3972">#3972</ulink>.</para>
-        </listitem>
-        <listitem revision="systemd">
-          <para>[bdubbs] - Update to dbus-1.10.10. Fixes
-          <ulink url="&lfs-ticket-root;3967">#3967</ulink>.</para>
-        </listitem> 
-      </itemizedlist>
-   </listitem>
-
-   <listitem>
-      <para>2016-08-22</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to diffutils-3.5. Fixes
-          <ulink url="&lfs-ticket-root;3968">#3968</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.7.1.tar.xz. Fixes
-          <ulink url="&lfs-ticket-root;3969">#3969</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to gcc-6.2.0.tar.bz2. Fixes
-          <ulink url="&lfs-ticket-root;3970">#3970</ulink>.</para>
-        </listitem>
-<!--    <listitem revision="systemd">
-          <para>[dj] - Update to dbus-1.10.10. Fixes
-          <ulink url="&lfs-ticket-root;3967">#3967</ulink>.</para>
-        </listitem> -->
-      </itemizedlist>
-   </listitem>
-
-   <listitem>
-      <para>2016-08-12</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to diffutils-3.4. Fixes
-          <ulink url="&lfs-ticket-root;3964">#3964</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to iproute2-4.7.0. Fixes
-          <ulink url="&lfs-ticket-root;3965">#3965</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to util-linux 2.28.1. Fixes
-          <ulink url="&lfs-ticket-root;3966">#3966</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-   </listitem>
-
-   <listitem revision="systemd">
-      <para>2016-08-11</para>
-      <itemizedlist>
-        <listitem>
-          <para>[renodr] - Update to systemd-231. Fixes
-          <ulink url="&lfs-ticket-root;3958">#3958</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-   </listitem>
-
-   <listitem revision="systemd">
-      <para>2016-08-09</para>
-      <itemizedlist>
-        <listitem>
-          <para>[dj] - Added explanatory text for systemd-230+ process
-          lingering changes.</para>
-        </listitem>
-      </itemizedlist>
-   </listitem>
-
-   <listitem>
-      <para>2016-08-06</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to binutils-2.27. Fixes
-          <ulink url="&lfs-ticket-root;3962">#3962</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-   </listitem>
-
-   <listitem>
-      <para>2016-08-05</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to grub-2.02~beta3. Fixes
-          <ulink url="&lfs-ticket-root;3897">#3897</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to glibc-2.24. Fixes
-          <ulink url="&lfs-ticket-root;3963">#3963</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-   </listitem>
-
-   <listitem>
-      <para>2016-07-29</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.7. Fixes
-          <ulink url="&lfs-ticket-root;3957">#3957</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to flex-2.6.1. Fixes
-          <ulink url="&lfs-ticket-root;3959">#3959</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to tcl-core8.6.6. Fixes
-          <ulink url="&lfs-ticket-root;3969">#3960</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-   </listitem>
-
-   <listitem>
-      <para>2016-07-20</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to man-pages-4.07. Fixes
-          <ulink url="&lfs-ticket-root;3956">#3956</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to kmod-23. Fixes
-          <ulink url="&lfs-ticket-root;3955">#3955</ulink>.</para>
-        </listitem>
-        <listitem revision="systemd">
-          <para>[renodr] - Update systemd kernel configuration page to disable
-          CONFIG_SYSFS_DEPRECATED{,_V2}.</para>
-        </listitem>
-      </itemizedlist>
-   </listitem>
-
-   <listitem>
-      <para>2016-07-19</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to procps-ng-3.3.12. Fixes
-          <ulink url="&lfs-ticket-root;3953">#3953</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.6.4. Fixes
-          <ulink url="&lfs-ticket-root;3954">#3954</ulink>.</para>
-        </listitem>
-     </itemizedlist>
-    </listitem>
-
-   <listitem>
-      <para>2016-07-10</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Add discussion of Grub Bios Partition
-          to Section 2.4 - Creating a New Partition.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to tzdata-2016f. Fixes
-          <ulink url="&lfs-ticket-root;3952">#3952</ulink>.</para>
-        </listitem>
-     </itemizedlist>
-    </listitem>
-
-   <listitem>
-      <para>2016-07-02</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to binutils-2.26.1. Fixes
-          <ulink url="&lfs-ticket-root;3951">#3951</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.6.3. Fixes
-          <ulink url="&lfs-ticket-root;3950">#3950</ulink>.</para>
-        </listitem>
-     </itemizedlist>
-    </listitem>
-
-   <listitem>
-      <para>2016-06-22</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to gmp-6.1.1. Fixes
-          <ulink url="&lfs-ticket-root;3949">#3949</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to expat-2.2.0. Fixes
-          <ulink url="&lfs-ticket-root;3948">#3948</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to tzdata-2016e. Fixes
-          <ulink url="&lfs-ticket-root;3947">#3947</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to file-5.28. Fixes
-          <ulink url="&lfs-ticket-root;3946">#3946</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to gettext-0.19.8.1. Fixes
-          <ulink url="&lfs-ticket-root;3945">#3945</ulink>.</para>
-        </listitem>
-     </itemizedlist>
-    </listitem>
-
-   <listitem>
-      <para>2016-06-11</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to make-4.2.1. Fixes
-          <ulink url="&lfs-ticket-root;3944">#3944</ulink>.</para>
-        </listitem>
-     </itemizedlist>
-    </listitem>
-
-   <listitem>
-      <para>2016-06-10</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to e2fsprogs-1.43.1. Fixes
-          <ulink url="&lfs-ticket-root;3942">#3942</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.6.2. Fixes
-          <ulink url="&lfs-ticket-root;3940">#3940</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to gettext-0.19.8. Fixes
-          <ulink url="&lfs-ticket-root;3943">#3943</ulink>.</para>
-        </listitem>
-        <listitem revision="sysv">
-          <para>[bdubbs] - Update to eudev-3.2. Fixes
-          <ulink url="&lfs-ticket-root;3939">#3939</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Add make-4.2-upstream_fixes-1.patch. Fixes
-          <ulink url="&lfs-ticket-root;3941">#3941</ulink>.</para>
-        </listitem>
-     </itemizedlist>
-    </listitem>
-
-   <listitem>
-      <para>2016-05-27</para>
-      <itemizedlist>
-        <listitem revision="systemd">
-          <para>[dj] - Update to dbus-1.10.8. Fixes
-          <ulink url="&lfs-ticket-root;3938">#3938</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[dj] - Update to e2fsprogs-1.43. Fixes
-          <ulink url="&lfs-ticket-root;3935">#3935</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[dj] - Update to gdbm-1.12. Fixes
-          <ulink url="&lfs-ticket-root;3933">#3933</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[dj] - Update to iproute2-4.6.0. Fixes
-          <ulink url="&lfs-ticket-root;3934">#3934</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[dj] - Update to make-4.2. Fixes
-          <ulink url="&lfs-ticket-root;3936">#3936</ulink>.</para>
-        </listitem>
-        <listitem revision="systemd">
-          <para>[dj] - Update to systemd-230. Fixes
-          <ulink url="&lfs-ticket-root;3937">#3937</ulink>.</para>
-        </listitem>
-     </itemizedlist>
-    </listitem>
-
-    <listitem revision="systemd">
-      <para>2016-05-20</para>
-      <itemizedlist>
-        <listitem>
-          <para>[dj] - Add additional explanatory text for sytemctl and
-          journalctl commands.</para>
-        </listitem>
-     </itemizedlist>
-    </listitem>
-
-    <listitem revision="systemd">
-      <para>2016-05-19</para>
-      <itemizedlist>
-        <listitem>
-          <para>[dj] - Adjust hosts file instructions to account for hosts
-          using automatic configuration. Adjusted explanatory text to account
-for
-          additional configurations.</para>
-        </listitem>
-     </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-05-16</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Enhance the stripping commands at the end
-          of Chapter 6.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Made editorial changes to the kernel section.
-          </para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Moved Host System Requirements to Chapter 2
-          and made minor editorial changes.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Updated to tar-1.29. Fixes
-          <ulink url="&lfs-ticket-root;3932">#3932</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Updated to linux-4.6. Fixes
-          <ulink url="&lfs-ticket-root;3930">#3930</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Updated to perl-5.24.0. Fixes
-          <ulink url="&lfs-ticket-root;3931">#3931</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-05-15</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Updated to file-5.27. Fixes
-          <ulink url="&lfs-ticket-root;3929">#3929</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Updated to man-pages-4.06. Fixes
-          <ulink url="&lfs-ticket-root;3928">#3928</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Updated to linux-4.5.4. Fixes
-          <ulink url="&lfs-ticket-root;3927">#3927</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Updated to perl-5.22.2. Fixes
-          <ulink url="&lfs-ticket-root;3926">#3926</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-05-03</para>
-      <itemizedlist>
-        <listitem>
-          <para>[ken] - Note that configure in texinfo-6.1 incorrectly
-          complains about the --disable-static switch.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-04-28</para>
-      <itemizedlist>
-        <listitem>
-          <para>[krejzi] - Updated to file-5.26. Fixes
-          <ulink url="&lfs-ticket-root;3919">#3919</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[krejzi] - Updated to gcc-6.1.0. Fixes
-          <ulink url="&lfs-ticket-root;3924">#3924</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[krejzi] - Updated to grep-2.25. Fixes
-          <ulink url="&lfs-ticket-root;3922">#3922</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[krejzi] - Updated to gzip-1.8. Fixes
-          <ulink url="&lfs-ticket-root;3923">#3923</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[krejzi] - Updated to linux-4.5.2. Fixes
-          <ulink url="&lfs-ticket-root;3921">#3921</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[krejzi] - Updated to tzdata-2016d. Fixes
-          <ulink url="&lfs-ticket-root;3920">#3920</ulink>.</para>
-        </listitem>
-        <listitem> 
-          <para>[krejzi] - Updated binutils upstream fixes
-          patch.</para>
-        </listitem>
-        <listitem>
-          <para>[krejzi] - Added a patch for glibc which
-          addresses a security issue and a build failure
-          with GCC 6.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-04-16</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to dejagnu-1.6. Fixes
-          <ulink url="&lfs-ticket-root;3918">#3918</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.5.1. Fixes
-          <ulink url="&lfs-ticket-root;3917">#3917</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Wording change in Chapter 6 GCC. Fixes
-          <ulink url="&lfs-ticket-root;3915">#3915</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-04-12</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to util-linux-2.28. Fixes
-          <ulink url="&lfs-ticket-root;3906">#3906</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Simlify gzip instructions. Fixes
-          <ulink url="&lfs-ticket-root;3914">#3914</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-04-07</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Add a caution in the gmp section
-          about possible "Illegal Instruction" errors if
-          the host is misidentified or the libraries are
-          copied to different systems.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-04-05</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Remove obsolete note about iconv() 
-          in Chapter 6 Glibc. Minor adjustments to text in the
-          same section. Fixes
-          <ulink url="&lfs-ticket-root;3904">#3904</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Add a note about UEFI and Secure Boot
-          to Chapter 8 "Using GRUB to Set Up the Boot Process". Fixes
-          <ulink url="&lfs-ticket-root;3908">#3908</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Add notes about paths for 64-bit 
-          systems in Chapter 6 "Adjusting the Toolchain". Fixes
-          <ulink url="&lfs-ticket-root;3912">#3912</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-04-04</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.5. Fixes
-          <ulink url="&lfs-ticket-root;3903">#3903</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to grep-2.24. Fixes
-          <ulink url="&lfs-ticket-root;3905">#3905</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to expat-2.1.1. Fixes
-          <ulink url="&lfs-ticket-root;3907">#3907</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to tzdata-2016c. Fixes
-          <ulink url="&lfs-ticket-root;3909">#3909</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to iproute2-4.5.0. Fixes
-          <ulink url="&lfs-ticket-root;3910">#3910</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to man-pages-4.05. Fixes
-          <ulink url="&lfs-ticket-root;3911">#3911</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to gzip-1.7. Fixes
-          <ulink url="&lfs-ticket-root;3913">#3913</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-03-13</para>
-      <itemizedlist>
-        <listitem>
-          <para>[Chris] - Updated dependencies - Gawk can use
-          GMP, MPFR, Readline.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-03-09</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to mpfr-3.1.4. Fixes
-          <ulink url="&lfs-ticket-root;3902">#3902</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-4.4.4. Fixes
-          <ulink url="&lfs-ticket-root;3893">#3893</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to pkg-config-0.29.1. Fixes
-          <ulink url="&lfs-ticket-root;3901">#3901</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to tcl-6.8.5. Fixes
-          <ulink url="&lfs-ticket-root;3898">#3898</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Remove --disable-profile from Glibc instructions. Fixes
-          <ulink url="&lfs-ticket-root;3895">#3895</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Create /var/log/faillog. Fixes
-          <ulink url="&lfs-ticket-root;3899">#3899</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Remove --enable-obsolete-rpc from Chapter 5 
-          glibc. Fixes
-          <ulink url="&lfs-ticket-root;3900">#3900</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2016-03-08</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - LFS-7.9 released.</para>
+          <para>[bdubbs] - LFS-7.10 released.</para>
         </listitem>
       </itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision e1c5a01d954726a6883cc8dad74db51a9f78e60f)
+++ chapter01/whatsnew.xml	(revision 6935adeafebc5d2543915977db93f53be6a8157c)
@@ -42,7 +42,7 @@
       <para>Bash &bash-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Binutils &binutils-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Bison &bison-version;</para>
@@ -57,67 +57,67 @@
       <para>Coreutils &coreutils-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>DejaGNU &dejagnu-version;</para>
-    </listitem>
-    <listitem revision="systemd">
+    </listitem>-->
+    <!--<listitem revision="systemd">
       <para>D-Bus-&dbus-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Diffutils &diffutils-version;</para>
-    </listitem>
-    <listitem revision="sysv">
+    </listitem>-->
+    <!--<listitem revision="sysv">
       <para>Eudev &eudev-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>E2fsprogs &e2fsprogs-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Expat-&expat-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Expect &expect-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>File &file-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Findutils &findutils-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Flex &flex-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Gawk &gawk-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>GCC &gcc-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>GDBM &gdbm-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Gettext &gettext-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Glibc &glibc-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>GMP &gmp-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Gperf-&gperf-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Grep &grep-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Groff &groff-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>GRUB &grub-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Gzip &gzip-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>IANA-Etc &iana-etc-version;</para>
@@ -129,13 +129,13 @@
       <para>Intltool-&intltool-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>IPRoute2 &iproute2-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Kbd &kbd-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Kmod &kmod-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Less &less-version;</para>
@@ -153,25 +153,25 @@
       <para>Libtool &libtool-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Linux &linux-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>M4 &m4-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Make &make-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Man-DB &man-db-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Man-pages &man-pages-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>MPC &mpc-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>MPFR &mpfr-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Ncurses &ncurses-version;</para>
@@ -180,13 +180,13 @@
       <para>Patch &patch-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Perl &perl-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Pkg-config &pkgconfig-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Procps-ng &procps-ng-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Psmisc &psmisc-version;</para>
@@ -204,25 +204,25 @@
       <para>Sysklogd &sysklogd-version;</para>
     </listitem>-->
-    <listitem revision="systemd">
+    <!--<listitem revision="systemd">
       <para>Systemd &systemd-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem revision="sysv">
       <para>SysVinit &sysvinit-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Tar &tar-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Tcl-core-&tcl-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Texinfo &texinfo-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Tzdata &tzdata-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Util-Linux &util-linux-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Vim &vim-version;</para>
@@ -266,16 +266,4 @@
     </listitem>-->
 
-    <listitem>
-      <para>binutils-2.26-upstream_fix-2.patch</para>
-    </listitem>
-
-    <listitem>
-      <para>mpfr-3.1.3-upstream_fixes-2.patch</para>
-    </listitem>
-
-    <listitem revision="systemd">
-      <para>systemd-229-compat-1.patch</para>
-    </listitem>
-
   </itemizedlist>
 
Index: general.ent
===================================================================
--- general.ent	(revision e1c5a01d954726a6883cc8dad74db51a9f78e60f)
+++ general.ent	(revision 6935adeafebc5d2543915977db93f53be6a8157c)
@@ -1,14 +1,14 @@
-<!ENTITY version         "SVN-20160824">
+<!ENTITY version         "SVN-20160907">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20160824-systemd">
+<!ENTITY versiond        "20160907-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "August 24, 2016">
+<!ENTITY releasedate     "September 7, 2016">
 <!ENTITY copyrightdate   "1999-2016"><!-- jhalfs needs a literal dash, not &ndash; -->
-<!ENTITY milestone       "7.10">
+<!ENTITY milestone       "7.11">
 
 <!ENTITY lfs-root        "http://www.linuxfromscratch.org/">