Index: chapter10/chapter10.xml
===================================================================
--- chapter10/chapter10.xml	(revision 811d59db8bb741c941656c94fb1be2ce6b55c7e2)
+++ chapter10/chapter10.xml	(revision 7152faa5fac3e5d824e9f079026420413751dcf5)
@@ -1,3 +1,3 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
+<?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
Index: chapter10/fstab.xml
===================================================================
--- chapter10/fstab.xml	(revision 811d59db8bb741c941656c94fb1be2ce6b55c7e2)
+++ chapter10/fstab.xml	(revision 7152faa5fac3e5d824e9f079026420413751dcf5)
@@ -1,3 +1,3 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
+<?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
Index: chapter10/grub.xml
===================================================================
--- chapter10/grub.xml	(revision 811d59db8bb741c941656c94fb1be2ce6b55c7e2)
+++ chapter10/grub.xml	(revision 7152faa5fac3e5d824e9f079026420413751dcf5)
@@ -1,3 +1,3 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
+<?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
Index: chapter10/introduction.xml
===================================================================
--- chapter10/introduction.xml	(revision 811d59db8bb741c941656c94fb1be2ce6b55c7e2)
+++ chapter10/introduction.xml	(revision 7152faa5fac3e5d824e9f079026420413751dcf5)
@@ -1,3 +1,3 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
+<?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
Index: chapter10/kernel.xml
===================================================================
--- chapter10/kernel.xml	(revision 811d59db8bb741c941656c94fb1be2ce6b55c7e2)
+++ chapter10/kernel.xml	(revision 7152faa5fac3e5d824e9f079026420413751dcf5)
@@ -1,3 +1,3 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
+<?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
Index: chapter10/kernel/highmem.xml
===================================================================
--- chapter10/kernel/highmem.xml	(revision 811d59db8bb741c941656c94fb1be2ce6b55c7e2)
+++ chapter10/kernel/highmem.xml	(revision 7152faa5fac3e5d824e9f079026420413751dcf5)
@@ -1,3 +1,3 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
+<?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE note PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
Index: chapter10/kernel/nvme.xml
===================================================================
--- chapter10/kernel/nvme.xml	(revision 811d59db8bb741c941656c94fb1be2ce6b55c7e2)
+++ chapter10/kernel/nvme.xml	(revision 7152faa5fac3e5d824e9f079026420413751dcf5)
@@ -1,3 +1,3 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
+<?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE note PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
Index: chapter10/kernel/systemd.xml
===================================================================
--- chapter10/kernel/systemd.xml	(revision 811d59db8bb741c941656c94fb1be2ce6b55c7e2)
+++ chapter10/kernel/systemd.xml	(revision 7152faa5fac3e5d824e9f079026420413751dcf5)
@@ -1,3 +1,3 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
+<?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE note PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
Index: chapter10/kernel/sysv.xml
===================================================================
--- chapter10/kernel/sysv.xml	(revision 811d59db8bb741c941656c94fb1be2ce6b55c7e2)
+++ chapter10/kernel/sysv.xml	(revision 7152faa5fac3e5d824e9f079026420413751dcf5)
@@ -1,3 +1,3 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
+<?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE note PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
Index: chapter10/kernel/x2apic.xml
===================================================================
--- chapter10/kernel/x2apic.xml	(revision 811d59db8bb741c941656c94fb1be2ce6b55c7e2)
+++ chapter10/kernel/x2apic.xml	(revision 7152faa5fac3e5d824e9f079026420413751dcf5)
@@ -1,3 +1,3 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
+<?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE note PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">